summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAgostino Sarubbo <ago@gentoo.org>2016-01-23 10:14:09 +0100
committerAgostino Sarubbo <ago@gentoo.org>2016-01-23 10:14:09 +0100
commit9ef2fb03d7db22dcd9b64f45448fed29d6c55346 (patch)
tree5ed037cc0c720526b0f502c5eb6653b315d5b63a /www-client
parentwww-client/chromium: x86 stable wrt bug #572542 (diff)
downloadgentoo-9ef2fb03d7db22dcd9b64f45448fed29d6c55346.tar.gz
gentoo-9ef2fb03d7db22dcd9b64f45448fed29d6c55346.tar.bz2
gentoo-9ef2fb03d7db22dcd9b64f45448fed29d6c55346.zip
www-client/chromium: Remove old
Package-Manager: portage-2.2.26 Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Diffstat (limited to 'www-client')
-rw-r--r--www-client/chromium/Manifest4
-rw-r--r--www-client/chromium/chromium-47.0.2526.106.ebuild655
-rw-r--r--www-client/chromium/chromium-48.0.2564.10.ebuild690
-rw-r--r--www-client/chromium/chromium-48.0.2564.23.ebuild691
-rw-r--r--www-client/chromium/chromium-48.0.2564.41.ebuild691
5 files changed, 0 insertions, 2731 deletions
diff --git a/www-client/chromium/Manifest b/www-client/chromium/Manifest
index a5c7c657e9b..ced7ff6ccc6 100644
--- a/www-client/chromium/Manifest
+++ b/www-client/chromium/Manifest
@@ -1,7 +1,3 @@
-DIST chromium-47.0.2526.106-lite.tar.xz 414871736 SHA256 e71bfbdb9293a79d5ab8096b03710e8362b235dd0f263731f4a2f2ce755dd8ab SHA512 dc3d5350459011705a31b8581cabe9764fb9909fe39638deabb65db284c29bd091e2e38f3993dae56521aeda5c79546e55a742ecb997f5654a2d297254d7be61 WHIRLPOOL 95b32e82687ced8654d5c041f3fbb63714a6385053208b0659ebe33700c2178e9b5ef4e02566f5398a2bdde4aaa819387c1694e8b1204fadfa4fa60c1fb53b0d
-DIST chromium-48.0.2564.10.tar.xz 432060420 SHA256 1902d75d49d46c32a8c33f6de53c9253a63a364b85eb4ada1e8a9ba7c0f523d0 SHA512 7753dc19a50c862211c10975b3ad64a0408e3645df7b0ea548f8437c4c5380ad0bb350920eb8c6791e0685ae7ec921c6be720e337a17dffe4b73c56b74a2bc9a WHIRLPOOL a9ccb2872ad639886288581e1c7d9244f16965ef924395531701289cc69c5a9dfdc4a25175151d27b150acc8e4398c8d91ca5f8f3e623c3c85c8b99d913c4f00
-DIST chromium-48.0.2564.23.tar.xz 1099898120 SHA256 e9a5eeaedb1975a93d37bc865d3122cf28b7e3a246c06ba19204edaefbce1266 SHA512 72b253f39b561e53c0ef2220402ae15e8d2cdd1af8eab4d5fa8480316919df9059dddf4f4c0d027f78fd0db924b7cbd23d29d406808d18fa047ccddffb6701b3 WHIRLPOOL c133e8e389b560efcc239e2f24bb3befd3fe8731bb2529aeee3f2ae04bf09e5d815ef805750c48dd549fb0b94c1ab77d94b03a0b8245cd537bdb204c79393761
-DIST chromium-48.0.2564.41.tar.xz 1470877528 SHA256 b265ecb945fcf27dd9d856e18632ea6fa4f88aed7ed32cb5eefb6515b6dc651a SHA512 5d91c603a99ac092c9cc1d1300c826d0eab62092a961dde8dd2c6bcbb342120ff97aa76231407227563fb65c0791c69274d044ab81e261b66cfce76811b428d5 WHIRLPOOL 584638131774053511974722973f28b75f99ceb8241948af91e3de247ccee631c8dbbedac9bfd66b4f5f505bcef194970c361f60a0c9cae7179ad6af0ea55c35
DIST chromium-48.0.2564.82.tar.xz 432281684 SHA256 cda64bf427d01bae7d45863812edcd7fa43176238ec07c7752e42afd3e1714fd SHA512 45e50fa0a4a4ac593e95c27fc16c2699736fbdf0bb88fd84be70e17cf1b2058c8cc55cccfe5c7ab381e8d80a0816ffb1e327626992779204d85fc558a946d076 WHIRLPOOL db51d66242d8989f7db7a2c1a1e87c012b59fa6afd21b8dae745f8b9a7d5f8c5249dee95c152a9e9f4da13950b17cbc03a1d2bd23622c50e61d7f97d03181398
DIST chromium-49.0.2618.8.tar.xz 450425684 SHA256 36eb7e14c6e0908650d941d4c566c0f574b38645d1fe6c71702862e0aa467ced SHA512 cc920c5d34f68504a585ad5fd1dc6402953f8cf33e35f1bdfb7250078258a172863cff36936f606c638b67a9ec3934509dd9da57c510615ccdaddc5b1feceac4 WHIRLPOOL 5d85d604fc9c2c0431cfed76c1f7c2dd9fc7705f3f66dbabf8f7cb49112cfaae490afd552697731ef03f64973bac27dd301ba5c59e5c45d6827f688dfc07d760
DIST chromium-49.0.2623.0.tar.xz 452249352 SHA256 1637e2d16c233c75c4c4094bb83af9f8ef5add2d84a1df544ad08f53d7958357 SHA512 3f1ca7cedc121fc09823a9ecd0d8a544a0ce7561e7d9e9c5c97bfab7a0d3157ede0377ace4ae124a755844eae33d551efc07b52cb55e06ffaf54749539f55edc WHIRLPOOL 06c7f034bc007a2fe04bab8323000bcaad058a2395cf7d6affcac682466f8a81e32a5fc231ab8e8851ea4f183dae51eb0842bf352c70fea2b90d2e3d6ffb39ef
diff --git a/www-client/chromium/chromium-47.0.2526.106.ebuild b/www-client/chromium/chromium-47.0.2526.106.ebuild
deleted file mode 100644
index 0a87e86ed09..00000000000
--- a/www-client/chromium/chromium-47.0.2526.106.ebuild
+++ /dev/null
@@ -1,655 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-PYTHON_COMPAT=( python2_7 )
-
-CHROMIUM_LANGS="am ar bg bn ca cs da de el en_GB es es_LA et fa fi fil fr gu he
- hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt_BR pt_PT ro ru sk sl sr
- sv sw ta te th tr uk vi zh_CN zh_TW"
-
-inherit check-reqs chromium eutils flag-o-matic multilib multiprocessing pax-utils \
- portability python-any-r1 readme.gentoo toolchain-funcs versionator virtualx
-
-DESCRIPTION="Open-source version of Google Chrome web browser"
-HOMEPAGE="http://chromium.org/"
-SRC_URI="https://commondatastorage.googleapis.com/chromium-browser-official/${P}-lite.tar.xz"
-
-LICENSE="BSD hotwording? ( no-source-code )"
-SLOT="0"
-KEYWORDS="amd64 ~arm x86"
-IUSE="cups gnome gnome-keyring gtk3 +hangouts hidpi hotwording kerberos neon pic +proprietary-codecs pulseaudio selinux +system-ffmpeg +tcmalloc widevine"
-RESTRICT="!system-ffmpeg? ( proprietary-codecs? ( bindist ) )"
-
-# Native Client binaries are compiled with different set of flags, bug #452066.
-QA_FLAGS_IGNORED=".*\.nexe"
-
-# Native Client binaries may be stripped by the build system, which uses the
-# right tools for it, bug #469144 .
-QA_PRESTRIPPED=".*\.nexe"
-
-RDEPEND=">=app-accessibility/speech-dispatcher-0.8:=
- app-arch/bzip2:=
- app-arch/snappy:=
- cups? ( >=net-print/cups-1.3.11:= )
- >=dev-libs/elfutils-0.149
- dev-libs/expat:=
- dev-libs/glib:=
- >=dev-libs/icu-55.1:=
- >=dev-libs/jsoncpp-0.5.0-r1:=
- >=dev-libs/libevent-1.4.13:=
- dev-libs/libxml2:=[icu]
- dev-libs/libxslt:=
- dev-libs/nspr:=
- >=dev-libs/nss-3.14.3:=
- dev-libs/re2:=
- gnome? ( >=gnome-base/gconf-2.24.0:= )
- gnome-keyring? ( >=gnome-base/libgnome-keyring-3.12:= )
- >=media-libs/alsa-lib-1.0.19:=
- media-libs/flac:=
- media-libs/fontconfig:=
- media-libs/freetype:=
- >=media-libs/harfbuzz-0.9.41:=[icu(+)]
- media-libs/libexif:=
- >=media-libs/libjpeg-turbo-1.2.0-r1:=
- media-libs/libpng:0=
- >=media-libs/libwebp-0.4.0:=
- media-libs/speex:=
- pulseaudio? ( media-sound/pulseaudio:= )
- system-ffmpeg? ( >=media-video/ffmpeg-2.7.2:=[opus,vorbis,vpx] )
- sys-apps/dbus:=
- sys-apps/pciutils:=
- >=sys-libs/libcap-2.22:=
- sys-libs/zlib:=[minizip]
- virtual/udev
- x11-libs/cairo:=
- x11-libs/gdk-pixbuf:=
- gtk3? ( x11-libs/gtk+:3= )
- !gtk3? ( x11-libs/gtk+:2= )
- x11-libs/libdrm
- x11-libs/libX11:=
- x11-libs/libXcomposite:=
- x11-libs/libXcursor:=
- x11-libs/libXdamage:=
- x11-libs/libXext:=
- x11-libs/libXfixes:=
- >=x11-libs/libXi-1.6.0:=
- x11-libs/libXinerama:=
- x11-libs/libXrandr:=
- x11-libs/libXrender:=
- x11-libs/libXScrnSaver:=
- x11-libs/libXtst:=
- x11-libs/pango:=
- kerberos? ( virtual/krb5 )"
-DEPEND="${RDEPEND}
- !arm? (
- dev-lang/yasm
- )
- dev-lang/perl
- dev-perl/JSON
- >=dev-util/gperf-3.0.3
- dev-util/ninja
- sys-apps/hwids[usb(+)]
- >=sys-devel/bison-2.4.3
- sys-devel/flex
- virtual/pkgconfig"
-
-# For nvidia-drivers blocker, see bug #413637 .
-RDEPEND+="
- !=www-client/chromium-9999
- !<www-plugins/chrome-binary-plugins-37
- x11-misc/xdg-utils
- virtual/opengl
- virtual/ttf-fonts
- selinux? ( sec-policy/selinux-chromium )
- tcmalloc? ( !<x11-drivers/nvidia-drivers-331.20 )
- widevine? ( www-plugins/chrome-binary-plugins[widevine(-)] )"
-
-# Python dependencies. The DEPEND part needs to be kept in sync
-# with python_check_deps.
-DEPEND+=" $(python_gen_any_dep '
- dev-python/beautifulsoup:python-2[${PYTHON_USEDEP}]
- dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
- dev-python/html5lib[${PYTHON_USEDEP}]
- dev-python/jinja[${PYTHON_USEDEP}]
- dev-python/ply[${PYTHON_USEDEP}]
- dev-python/simplejson[${PYTHON_USEDEP}]
-')"
-python_check_deps() {
- has_version "dev-python/beautifulsoup:python-2[${PYTHON_USEDEP}]" && \
- has_version "dev-python/beautifulsoup:4[${PYTHON_USEDEP}]" && \
- has_version "dev-python/html5lib[${PYTHON_USEDEP}]" && \
- has_version "dev-python/jinja[${PYTHON_USEDEP}]" && \
- has_version "dev-python/ply[${PYTHON_USEDEP}]" && \
- has_version "dev-python/simplejson[${PYTHON_USEDEP}]"
-}
-
-if ! has chromium_pkg_die ${EBUILD_DEATH_HOOKS}; then
- EBUILD_DEATH_HOOKS+=" chromium_pkg_die";
-fi
-
-DISABLE_AUTOFORMATTING="yes"
-DOC_CONTENTS="
-Some web pages may require additional fonts to display properly.
-Try installing some of the following packages if some characters
-are not displayed properly:
-- media-fonts/arphicfonts
-- media-fonts/bitstream-cyberbit
-- media-fonts/droid
-- media-fonts/ipamonafont
-- media-fonts/ja-ipafonts
-- media-fonts/takao-fonts
-- media-fonts/wqy-microhei
-- media-fonts/wqy-zenhei
-
-Depending on your desktop environment, you may need
-to install additional packages to get icons on the Downloads page.
-
-For KDE, the required package is kde-frameworks/oxygen-icons.
-
-For other desktop environments, try one of the following:
-- x11-themes/gnome-icon-theme
-- x11-themes/tango-icon-theme
-"
-
-pkg_pretend() {
- if [[ $(tc-getCC)$ == *gcc* ]] && \
- [[ $(gcc-major-version)$(gcc-minor-version) -lt 48 ]]; then
- die 'At least gcc 4.8 is required, see bugs: #535730, #525374, #518668.'
- fi
-
- # Check build requirements, bug #541816 and bug #471810 .
- CHECKREQS_MEMORY="3G"
- CHECKREQS_DISK_BUILD="5G"
- eshopts_push -s extglob
- if is-flagq '-g?(gdb)?([1-9])'; then
- CHECKREQS_DISK_BUILD="25G"
- fi
- eshopts_pop
- check-reqs_pkg_pretend
-}
-
-pkg_setup() {
- if [[ "${SLOT}" == "0" ]]; then
- CHROMIUM_SUFFIX=""
- else
- CHROMIUM_SUFFIX="-${SLOT}"
- fi
- CHROMIUM_HOME="/usr/$(get_libdir)/chromium-browser${CHROMIUM_SUFFIX}"
-
- # Make sure the build system will use the right python, bug #344367.
- python-any-r1_pkg_setup
-
- chromium_suid_sandbox_check_kernel_config
-}
-
-src_prepare() {
- # if ! use arm; then
- # mkdir -p out/Release/gen/sdk/toolchain || die
- # # Do not preserve SELinux context, bug #460892 .
- # cp -a --no-preserve=context /usr/$(get_libdir)/nacl-toolchain-newlib \
- # out/Release/gen/sdk/toolchain/linux_x86_newlib || die
- # touch out/Release/gen/sdk/toolchain/linux_x86_newlib/stamp.untar || die
- # fi
-
- epatch "${FILESDIR}/${PN}-system-ffmpeg-r0.patch"
- epatch "${FILESDIR}/${PN}-system-jinja-r7.patch"
- epatch "${FILESDIR}/chromium-widevine-r1.patch"
-
- epatch_user
-
- local conditional_bundled_libraries=""
- if ! use system-ffmpeg; then
- conditional_bundled_libraries+=" third_party/ffmpeg"
- fi
-
- # Remove most bundled libraries. Some are still needed.
- build/linux/unbundle/remove_bundled_libraries.py \
- ${conditional_bundled_libraries} \
- 'base/third_party/dmg_fp' \
- 'base/third_party/dynamic_annotations' \
- 'base/third_party/icu' \
- 'base/third_party/nspr' \
- 'base/third_party/superfasthash' \
- 'base/third_party/symbolize' \
- 'base/third_party/valgrind' \
- 'base/third_party/xdg_mime' \
- 'base/third_party/xdg_user_dirs' \
- 'breakpad/src/third_party/curl' \
- 'chrome/third_party/mozilla_security_manager' \
- 'courgette/third_party' \
- 'crypto/third_party/nss' \
- 'net/third_party/mozilla_security_manager' \
- 'net/third_party/nss' \
- 'third_party/WebKit' \
- 'third_party/analytics' \
- 'third_party/angle' \
- 'third_party/angle/src/third_party/compiler' \
- 'third_party/boringssl' \
- 'third_party/brotli' \
- 'third_party/cacheinvalidation' \
- 'third_party/catapult' \
- 'third_party/catapult/tracing/third_party/components/polymer' \
- 'third_party/catapult/tracing/third_party/d3' \
- 'third_party/catapult/tracing/third_party/gl-matrix' \
- 'third_party/catapult/tracing/third_party/jszip' \
- 'third_party/catapult/tracing/third_party/tvcm' \
- 'third_party/catapult/tracing/third_party/tvcm/third_party/rcssmin' \
- 'third_party/catapult/tracing/third_party/tvcm/third_party/rjsmin' \
- 'third_party/cld_2' \
- 'third_party/cros_system_api' \
- 'third_party/cython/python_flags.py' \
- 'third_party/devscripts' \
- 'third_party/dom_distiller_js' \
- 'third_party/dom_distiller_js/dist/proto_gen/third_party/dom_distiller_js' \
- 'third_party/fips181' \
- 'third_party/flot' \
- 'third_party/google_input_tools' \
- 'third_party/google_input_tools/third_party/closure_library' \
- 'third_party/google_input_tools/third_party/closure_library/third_party/closure' \
- 'third_party/hunspell' \
- 'third_party/iccjpeg' \
- 'third_party/jstemplate' \
- 'third_party/khronos' \
- 'third_party/leveldatabase' \
- 'third_party/libXNVCtrl' \
- 'third_party/libaddressinput' \
- 'third_party/libjingle' \
- 'third_party/libphonenumber' \
- 'third_party/libsecret' \
- 'third_party/libsrtp' \
- 'third_party/libudev' \
- 'third_party/libusb' \
- 'third_party/libvpx_new' \
- 'third_party/libvpx_new/source/libvpx/third_party/x86inc' \
- 'third_party/libxml/chromium' \
- 'third_party/libwebm' \
- 'third_party/libyuv' \
- 'third_party/lss' \
- 'third_party/lzma_sdk' \
- 'third_party/mesa' \
- 'third_party/modp_b64' \
- 'third_party/mojo' \
- 'third_party/mt19937ar' \
- 'third_party/npapi' \
- 'third_party/openmax_dl' \
- 'third_party/opus' \
- 'third_party/ots' \
- 'third_party/pdfium' \
- 'third_party/pdfium/third_party/agg23' \
- 'third_party/pdfium/third_party/base' \
- 'third_party/pdfium/third_party/bigint' \
- 'third_party/pdfium/third_party/freetype' \
- 'third_party/pdfium/third_party/lcms2-2.6' \
- 'third_party/pdfium/third_party/libjpeg' \
- 'third_party/pdfium/third_party/libopenjpeg20' \
- 'third_party/pdfium/third_party/zlib_v128' \
- 'third_party/polymer' \
- 'third_party/protobuf' \
- 'third_party/qcms' \
- 'third_party/readability' \
- 'third_party/sfntly' \
- 'third_party/skia' \
- 'third_party/smhasher' \
- 'third_party/sqlite' \
- 'third_party/tcmalloc' \
- 'third_party/usrsctp' \
- 'third_party/web-animations-js' \
- 'third_party/webdriver' \
- 'third_party/webrtc' \
- 'third_party/widevine' \
- 'third_party/x86inc' \
- 'third_party/zlib/google' \
- 'url/third_party/mozilla' \
- 'v8/src/third_party/fdlibm' \
- 'v8/src/third_party/valgrind' \
- --do-remove || die
-}
-
-src_configure() {
- local myconf=""
-
- # Never tell the build system to "enable" SSE2, it has a few unexpected
- # additions, bug #336871.
- myconf+=" -Ddisable_sse2=1"
-
- # Disable nacl, we can't build without pnacl (http://crbug.com/269560).
- myconf+=" -Ddisable_nacl=1"
-
- # Disable glibc Native Client toolchain, we don't need it (bug #417019).
- # myconf+=" -Ddisable_glibc=1"
-
- # TODO: also build with pnacl
- # myconf+=" -Ddisable_pnacl=1"
-
- # It would be awkward for us to tar the toolchain and get it untarred again
- # during the build.
- # myconf+=" -Ddisable_newlib_untar=1"
-
- # Make it possible to remove third_party/adobe.
- echo > "${T}/flapper_version.h" || die
- myconf+=" -Dflapper_version_h_file=${T}/flapper_version.h"
-
- # Use system-provided libraries.
- # TODO: use_system_hunspell (upstream changes needed).
- # TODO: use_system_libsrtp (bug #459932).
- # TODO: use_system_libusb (http://crbug.com/266149).
- # TODO: use_system_libvpx (http://crbug.com/494939).
- # TODO: use_system_opus (https://code.google.com/p/webrtc/issues/detail?id=3077).
- # TODO: use_system_protobuf (bug #525560).
- # TODO: use_system_ssl (http://crbug.com/58087).
- # TODO: use_system_sqlite (http://crbug.com/22208).
- myconf+="
- -Duse_system_bzip2=1
- -Duse_system_ffmpeg=$(usex system-ffmpeg 1 0)
- -Duse_system_flac=1
- -Duse_system_harfbuzz=1
- -Duse_system_icu=1
- -Duse_system_jsoncpp=1
- -Duse_system_libevent=1
- -Duse_system_libjpeg=1
- -Duse_system_libpng=1
- -Duse_system_libwebp=1
- -Duse_system_libxml=1
- -Duse_system_libxslt=1
- -Duse_system_minizip=1
- -Duse_system_nspr=1
- -Duse_system_re2=1
- -Duse_system_snappy=1
- -Duse_system_speex=1
- -Duse_system_xdg_utils=1
- -Duse_system_zlib=1"
-
- # Needed for system icu - we don't need additional data files.
- myconf+=" -Dicu_use_data_file_flag=0"
-
- # TODO: patch gyp so that this arm conditional is not needed.
- if ! use arm; then
- myconf+="
- -Duse_system_yasm=1"
- fi
-
- # Optional dependencies.
- # TODO: linux_link_kerberos, bug #381289.
- myconf+="
- $(gyp_use cups)
- $(gyp_use gnome use_gconf)
- $(gyp_use gnome-keyring use_gnome_keyring)
- $(gyp_use gnome-keyring linux_link_gnome_keyring)
- $(gyp_use gtk3)
- $(gyp_use hangouts enable_hangout_services_extension)
- $(gyp_use hidpi enable_hidpi)
- $(gyp_use hotwording enable_hotwording)
- $(gyp_use kerberos)
- $(gyp_use pulseaudio)
- $(gyp_use tcmalloc use_allocator tcmalloc none)
- $(gyp_use widevine enable_widevine)"
-
- # Use explicit library dependencies instead of dlopen.
- # This makes breakages easier to detect by revdep-rebuild.
- myconf+="
- -Dlinux_link_gsettings=1
- -Dlinux_link_libpci=1
- -Dlinux_link_libspeechd=1
- -Dlibspeechd_h_prefix=speech-dispatcher/"
-
- # TODO: use the file at run time instead of effectively compiling it in.
- myconf+="
- -Dusb_ids_path=/usr/share/misc/usb.ids"
-
- # Save space by removing DLOG and DCHECK messages (about 6% reduction).
- myconf+="
- -Dlogging_like_official_build=1"
-
- if [[ $(tc-getCC) == *clang* ]]; then
- myconf+=" -Dclang=1"
- else
- myconf+=" -Dclang=0"
- fi
-
- # Never use bundled gold binary. Disable gold linker flags for now.
- # Do not use bundled clang.
- myconf+="
- -Dclang_use_chrome_plugins=0
- -Dhost_clang=0
- -Dlinux_use_bundled_binutils=0
- -Dlinux_use_bundled_gold=0
- -Dlinux_use_gold_flags=0"
-
- ffmpeg_branding="$(usex proprietary-codecs Chrome Chromium)"
- myconf+=" -Dproprietary_codecs=1 -Dffmpeg_branding=${ffmpeg_branding}"
-
- # Set up Google API keys, see http://www.chromium.org/developers/how-tos/api-keys .
- # Note: these are for Gentoo use ONLY. For your own distribution,
- # please get your own set of keys. Feel free to contact chromium@gentoo.org
- # for more info.
- myconf+=" -Dgoogle_api_key=AIzaSyDEAOvatFo0eTgsV_ZlEzx0ObmepsMzfAc
- -Dgoogle_default_client_id=329227923882.apps.googleusercontent.com
- -Dgoogle_default_client_secret=vgKG0NNv7GoDpbtoFNLxCUXu"
-
- local myarch="$(tc-arch)"
- if [[ $myarch = amd64 ]] ; then
- target_arch=x64
- ffmpeg_target_arch=x64
- elif [[ $myarch = x86 ]] ; then
- target_arch=ia32
- ffmpeg_target_arch=ia32
- elif [[ $myarch = arm ]] ; then
- target_arch=arm
- ffmpeg_target_arch=$(usex neon arm-neon arm)
- # TODO: re-enable NaCl (NativeClient).
- local CTARGET=${CTARGET:-${CHOST}}
- if [[ $(tc-is-softfloat) == "no" ]]; then
-
- myconf+=" -Darm_float_abi=hard"
- fi
- filter-flags "-mfpu=*"
- use neon || myconf+=" -Darm_fpu=${ARM_FPU:-vfpv3-d16}"
-
- if [[ ${CTARGET} == armv[78]* ]]; then
- myconf+=" -Darmv7=1"
- else
- myconf+=" -Darmv7=0"
- fi
- myconf+=" -Dsysroot=
- $(gyp_use neon arm_neon)
- -Ddisable_nacl=1"
- else
- die "Failed to determine target arch, got '$myarch'."
- fi
-
- myconf+=" -Dtarget_arch=${target_arch}"
-
- # Make sure that -Werror doesn't get added to CFLAGS by the build system.
- # Depending on GCC version the warnings are different and we don't want
- # the build to fail because of that.
- myconf+=" -Dwerror="
-
- # Disable fatal linker warnings, bug 506268.
- myconf+=" -Ddisable_fatal_linker_warnings=1"
-
- # Avoid CFLAGS problems, bug #352457, bug #390147.
- if ! use custom-cflags; then
- replace-flags "-Os" "-O2"
- strip-flags
-
- # Prevent linker from running out of address space, bug #471810 .
- if use x86; then
- filter-flags "-g*"
- fi
-
- # Prevent libvpx build failures. Bug 530248, 544702, 546984.
- if [[ ${myarch} == amd64 || ${myarch} == x86 ]]; then
- filter-flags -mno-mmx -mno-sse2 -mno-ssse3 -mno-sse4.1 -mno-avx -mno-avx2
- fi
- fi
-
- # Make sure the build system will use the right tools, bug #340795.
- tc-export AR CC CXX NM
-
- # Tools for building programs to be executed on the build system, bug #410883.
- if tc-is-cross-compiler; then
- export AR_host=$(tc-getBUILD_AR)
- export CC_host=$(tc-getBUILD_CC)
- export CXX_host=$(tc-getBUILD_CXX)
- export NM_host=$(tc-getBUILD_NM)
- fi
-
- # Bug 491582.
- export TMPDIR="${WORKDIR}/temp"
- mkdir -p -m 755 "${TMPDIR}" || die
-
- if ! use system-ffmpeg; then
- local build_ffmpeg_args=""
- if use pic && [[ "${ffmpeg_target_arch}" == "ia32" ]]; then
- build_ffmpeg_args+=" --disable-asm"
- fi
-
- # Re-configure bundled ffmpeg. See bug #491378 for example reasons.
- einfo "Configuring bundled ffmpeg..."
- pushd third_party/ffmpeg > /dev/null || die
- chromium/scripts/build_ffmpeg.py linux ${ffmpeg_target_arch} \
- --branding ${ffmpeg_branding} -- ${build_ffmpeg_args} || die
- chromium/scripts/copy_config.sh || die
- chromium/scripts/generate_gyp.py || die
- popd > /dev/null || die
- fi
-
- third_party/libaddressinput/chromium/tools/update-strings.py || die
-
- touch chrome/test/data/webui/i18n_process_css_test.html || die
-
- einfo "Configuring Chromium..."
- build/linux/unbundle/replace_gyp_files.py ${myconf} || die
- egyp_chromium ${myconf} || die
-}
-
-eninja() {
- if [[ -z ${NINJAOPTS+set} ]]; then
- local jobs=$(makeopts_jobs)
- local loadavg=$(makeopts_loadavg)
-
- if [[ ${MAKEOPTS} == *-j* && ${jobs} != 999 ]]; then
- NINJAOPTS+=" -j ${jobs}"
- fi
- if [[ ${MAKEOPTS} == *-l* && ${loadavg} != 999 ]]; then
- NINJAOPTS+=" -l ${loadavg}"
- fi
- fi
- set -- ninja -v ${NINJAOPTS} "$@"
- echo "$@"
- "$@"
-}
-
-src_compile() {
- local ninja_targets="chrome chrome_sandbox chromedriver"
-
- # Build mksnapshot and pax-mark it.
- eninja -C out/Release mksnapshot || die
- pax-mark m out/Release/mksnapshot
-
- # Even though ninja autodetects number of CPUs, we respect
- # user's options, for debugging with -j 1 or any other reason.
- eninja -C out/Release ${ninja_targets} || die
-
- pax-mark m out/Release/chrome
-}
-
-src_install() {
- exeinto "${CHROMIUM_HOME}"
- doexe out/Release/chrome || die
-
- newexe out/Release/chrome_sandbox chrome-sandbox || die
- fperms 4755 "${CHROMIUM_HOME}/chrome-sandbox"
-
- doexe out/Release/chromedriver || die
- use widevine && doexe out/Release/libwidevinecdmadapter.so
-
- # if ! use arm; then
- # doexe out/Release/nacl_helper{,_bootstrap} || die
- # insinto "${CHROMIUM_HOME}"
- # doins out/Release/nacl_irt_*.nexe || die
- # doins out/Release/libppGoogleNaClPluginChrome.so || die
- # fi
-
- local sedargs=( -e "s:/usr/lib/:/usr/$(get_libdir)/:g" )
- if [[ -n ${CHROMIUM_SUFFIX} ]]; then
- sedargs+=(
- -e "s:chromium-browser:chromium-browser${CHROMIUM_SUFFIX}:g"
- -e "s:chromium.desktop:chromium${CHROMIUM_SUFFIX}.desktop:g"
- -e "s:plugins:plugins --user-data-dir=\${HOME}/.config/chromium${CHROMIUM_SUFFIX}:"
- )
- fi
- sed "${sedargs[@]}" "${FILESDIR}/chromium-launcher-r3.sh" > chromium-launcher.sh || die
- doexe chromium-launcher.sh
-
- # It is important that we name the target "chromium-browser",
- # xdg-utils expect it; bug #355517.
- dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium-browser${CHROMIUM_SUFFIX} || die
- # keep the old symlink around for consistency
- dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium${CHROMIUM_SUFFIX} || die
-
- dosym "${CHROMIUM_HOME}/chromedriver" /usr/bin/chromedriver${CHROMIUM_SUFFIX} || die
-
- # Allow users to override command-line options, bug #357629.
- dodir /etc/chromium || die
- insinto /etc/chromium
- newins "${FILESDIR}/chromium.default" "default" || die
-
- pushd out/Release/locales > /dev/null || die
- chromium_remove_language_paks
- popd
-
- insinto "${CHROMIUM_HOME}"
- doins out/Release/*.bin || die
- doins out/Release/*.pak || die
-
- doins -r out/Release/locales || die
- doins -r out/Release/resources || die
-
- newman out/Release/chrome.1 chromium${CHROMIUM_SUFFIX}.1 || die
- newman out/Release/chrome.1 chromium-browser${CHROMIUM_SUFFIX}.1 || die
-
- # Install icons and desktop entry.
- local branding size
- for size in 16 22 24 32 48 64 128 256 ; do
- case ${size} in
- 16|32) branding="chrome/app/theme/default_100_percent/chromium" ;;
- *) branding="chrome/app/theme/chromium" ;;
- esac
- newicon -s ${size} "${branding}/product_logo_${size}.png" \
- chromium-browser${CHROMIUM_SUFFIX}.png
- done
-
- local mime_types="text/html;text/xml;application/xhtml+xml;"
- mime_types+="x-scheme-handler/http;x-scheme-handler/https;" # bug #360797
- mime_types+="x-scheme-handler/ftp;" # bug #412185
- mime_types+="x-scheme-handler/mailto;x-scheme-handler/webcal;" # bug #416393
- make_desktop_entry \
- chromium-browser${CHROMIUM_SUFFIX} \
- "Chromium${CHROMIUM_SUFFIX}" \
- chromium-browser${CHROMIUM_SUFFIX} \
- "Network;WebBrowser" \
- "MimeType=${mime_types}\nStartupWMClass=chromium-browser"
- sed -e "/^Exec/s/$/ %U/" -i "${ED}"/usr/share/applications/*.desktop || die
-
- # Install GNOME default application entry (bug #303100).
- if use gnome; then
- dodir /usr/share/gnome-control-center/default-apps || die
- insinto /usr/share/gnome-control-center/default-apps
- newins "${FILESDIR}"/chromium-browser.xml chromium-browser${CHROMIUM_SUFFIX}.xml || die
- if [[ "${CHROMIUM_SUFFIX}" != "" ]]; then
- sed "s:chromium-browser:chromium-browser${CHROMIUM_SUFFIX}:g" -i \
- "${ED}"/usr/share/gnome-control-center/default-apps/chromium-browser${CHROMIUM_SUFFIX}.xml
- fi
- fi
-
- readme.gentoo_create_doc
-}
-
-pkg_postinst() {
- fdo-mime_desktop_database_update
- gnome2_icon_cache_update
- readme.gentoo_print_elog
-}
diff --git a/www-client/chromium/chromium-48.0.2564.10.ebuild b/www-client/chromium/chromium-48.0.2564.10.ebuild
deleted file mode 100644
index 534859aa9d8..00000000000
--- a/www-client/chromium/chromium-48.0.2564.10.ebuild
+++ /dev/null
@@ -1,690 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-PYTHON_COMPAT=( python2_7 )
-
-CHROMIUM_LANGS="am ar bg bn ca cs da de el en_GB es es_LA et fa fi fil fr gu he
- hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt_BR pt_PT ro ru sk sl sr
- sv sw ta te th tr uk vi zh_CN zh_TW"
-
-inherit check-reqs chromium eutils flag-o-matic multilib multiprocessing pax-utils \
- portability python-any-r1 readme.gentoo toolchain-funcs versionator virtualx
-
-DESCRIPTION="Open-source version of Google Chrome web browser"
-HOMEPAGE="http://chromium.org/"
-SRC_URI="https://commondatastorage.googleapis.com/chromium-browser-official/${P}.tar.xz"
-
-LICENSE="BSD hotwording? ( no-source-code )"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~x86"
-IUSE="cups gn gnome gnome-keyring gtk3 +hangouts hidpi hotwording kerberos neon pic +proprietary-codecs pulseaudio selinux +system-ffmpeg +tcmalloc widevine"
-RESTRICT="!system-ffmpeg? ( proprietary-codecs? ( bindist ) )"
-
-REQUIRED_USE="gn? ( kerberos !system-ffmpeg )"
-
-# Native Client binaries are compiled with different set of flags, bug #452066.
-QA_FLAGS_IGNORED=".*\.nexe"
-
-# Native Client binaries may be stripped by the build system, which uses the
-# right tools for it, bug #469144 .
-QA_PRESTRIPPED=".*\.nexe"
-
-RDEPEND="
- app-arch/bzip2:=
- cups? ( >=net-print/cups-1.3.11:= )
- >=dev-libs/elfutils-0.149
- dev-libs/expat:=
- dev-libs/glib:=
- >=dev-libs/jsoncpp-0.5.0-r1:=
- dev-libs/nspr:=
- >=dev-libs/nss-3.14.3:=
- gnome? ( >=gnome-base/gconf-2.24.0:= )
- gnome-keyring? ( >=gnome-base/libgnome-keyring-3.12:= )
- >=media-libs/alsa-lib-1.0.19:=
- media-libs/fontconfig:=
- media-libs/freetype:=
- media-libs/libexif:=
- media-libs/speex:=
- pulseaudio? ( media-sound/pulseaudio:= )
- system-ffmpeg? ( >=media-video/ffmpeg-2.7.2:=[opus,vorbis,vpx] )
- sys-apps/dbus:=
- sys-apps/pciutils:=
- >=sys-libs/libcap-2.22:=
- virtual/udev
- x11-libs/cairo:=
- x11-libs/gdk-pixbuf:=
- gtk3? ( x11-libs/gtk+:3= )
- !gtk3? ( x11-libs/gtk+:2= )
- x11-libs/libdrm
- x11-libs/libX11:=
- x11-libs/libXcomposite:=
- x11-libs/libXcursor:=
- x11-libs/libXdamage:=
- x11-libs/libXext:=
- x11-libs/libXfixes:=
- >=x11-libs/libXi-1.6.0:=
- x11-libs/libXinerama:=
- x11-libs/libXrandr:=
- x11-libs/libXrender:=
- x11-libs/libXScrnSaver:=
- x11-libs/libXtst:=
- x11-libs/pango:=
- kerberos? ( virtual/krb5 )
- !gn? (
- >=app-accessibility/speech-dispatcher-0.8:=
- app-arch/snappy:=
- >=dev-libs/icu-55.1:=
- >=dev-libs/libevent-1.4.13:=
- dev-libs/libxml2:=[icu]
- dev-libs/libxslt:=
- dev-libs/re2:=
- media-libs/flac:=
- media-libs/harfbuzz:=[icu(+)]
- >=media-libs/libjpeg-turbo-1.2.0-r1:=
- media-libs/libpng:0=
- >=media-libs/libwebp-0.4.0:=
- sys-libs/zlib:=[minizip]
- )"
-DEPEND="${RDEPEND}
- !arm? (
- dev-lang/yasm
- )
- dev-lang/perl
- dev-perl/JSON
- >=dev-util/gperf-3.0.3
- dev-util/ninja
- sys-apps/hwids[usb(+)]
- >=sys-devel/bison-2.4.3
- sys-devel/flex
- virtual/pkgconfig"
-
-# For nvidia-drivers blocker, see bug #413637 .
-RDEPEND+="
- !=www-client/chromium-9999
- !<www-plugins/chrome-binary-plugins-37
- x11-misc/xdg-utils
- virtual/opengl
- virtual/ttf-fonts
- selinux? ( sec-policy/selinux-chromium )
- tcmalloc? ( !<x11-drivers/nvidia-drivers-331.20 )
- widevine? ( www-plugins/chrome-binary-plugins[widevine(-)] )"
-
-# Python dependencies. The DEPEND part needs to be kept in sync
-# with python_check_deps.
-DEPEND+=" $(python_gen_any_dep '
- dev-python/beautifulsoup:python-2[${PYTHON_USEDEP}]
- dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
- dev-python/html5lib[${PYTHON_USEDEP}]
- dev-python/jinja[${PYTHON_USEDEP}]
- dev-python/ply[${PYTHON_USEDEP}]
- dev-python/simplejson[${PYTHON_USEDEP}]
-')"
-python_check_deps() {
- has_version "dev-python/beautifulsoup:python-2[${PYTHON_USEDEP}]" && \
- has_version "dev-python/beautifulsoup:4[${PYTHON_USEDEP}]" && \
- has_version "dev-python/html5lib[${PYTHON_USEDEP}]" && \
- has_version "dev-python/jinja[${PYTHON_USEDEP}]" && \
- has_version "dev-python/ply[${PYTHON_USEDEP}]" && \
- has_version "dev-python/simplejson[${PYTHON_USEDEP}]"
-}
-
-if ! has chromium_pkg_die ${EBUILD_DEATH_HOOKS}; then
- EBUILD_DEATH_HOOKS+=" chromium_pkg_die";
-fi
-
-DISABLE_AUTOFORMATTING="yes"
-DOC_CONTENTS="
-Some web pages may require additional fonts to display properly.
-Try installing some of the following packages if some characters
-are not displayed properly:
-- media-fonts/arphicfonts
-- media-fonts/bitstream-cyberbit
-- media-fonts/droid
-- media-fonts/ipamonafont
-- media-fonts/ja-ipafonts
-- media-fonts/takao-fonts
-- media-fonts/wqy-microhei
-- media-fonts/wqy-zenhei
-
-Depending on your desktop environment, you may need
-to install additional packages to get icons on the Downloads page.
-
-For KDE, the required package is kde-frameworks/oxygen-icons.
-
-For other desktop environments, try one of the following:
-- x11-themes/gnome-icon-theme
-- x11-themes/tango-icon-theme
-"
-
-pkg_pretend() {
- if [[ $(tc-getCC)$ == *gcc* ]] && \
- [[ $(gcc-major-version)$(gcc-minor-version) -lt 48 ]]; then
- die 'At least gcc 4.8 is required, see bugs: #535730, #525374, #518668.'
- fi
-
- # Check build requirements, bug #541816 and bug #471810 .
- CHECKREQS_MEMORY="3G"
- CHECKREQS_DISK_BUILD="5G"
- eshopts_push -s extglob
- if is-flagq '-g?(gdb)?([1-9])'; then
- CHECKREQS_DISK_BUILD="25G"
- fi
- eshopts_pop
- check-reqs_pkg_pretend
-}
-
-pkg_setup() {
- if [[ "${SLOT}" == "0" ]]; then
- CHROMIUM_SUFFIX=""
- else
- CHROMIUM_SUFFIX="-${SLOT}"
- fi
- CHROMIUM_HOME="/usr/$(get_libdir)/chromium-browser${CHROMIUM_SUFFIX}"
-
- # Make sure the build system will use the right python, bug #344367.
- python-any-r1_pkg_setup
-
- chromium_suid_sandbox_check_kernel_config
-}
-
-src_prepare() {
- epatch "${FILESDIR}/${PN}-system-ffmpeg-r1.patch"
- epatch "${FILESDIR}/${PN}-system-jinja-r7.patch"
- epatch "${FILESDIR}/${PN}-widevine-r1.patch"
- epatch "${FILESDIR}/${PN}-last-commit-position-r0.patch"
- epatch "${FILESDIR}/${PN}-snapshot-toolchain-r0.patch"
- epatch "${FILESDIR}/${PN}-rpath-r0.patch"
-
- epatch_user
-
- local conditional_bundled_libraries=""
- if ! use system-ffmpeg; then
- conditional_bundled_libraries+=" third_party/ffmpeg"
- fi
- if use gn; then
- conditional_bundled_libraries+="
- third_party/adobe
- third_party/ffmpeg
- third_party/flac
- third_party/harfbuzz-ng
- third_party/icu
- third_party/jinja2
- third_party/libevent
- third_party/libjpeg_turbo
- third_party/libpng
- third_party/libwebp
- third_party/libxml
- third_party/libxslt
- third_party/markupsafe
- third_party/re2
- third_party/snappy
- third_party/speech-dispatcher
- third_party/usb_ids
- third_party/xdg-utils
- third_party/yasm
- third_party/zlib
- "
- fi
-
- # Remove most bundled libraries. Some are still needed.
- build/linux/unbundle/remove_bundled_libraries.py \
- ${conditional_bundled_libraries} \
- 'base/third_party/dmg_fp' \
- 'base/third_party/dynamic_annotations' \
- 'base/third_party/icu' \
- 'base/third_party/nspr' \
- 'base/third_party/superfasthash' \
- 'base/third_party/symbolize' \
- 'base/third_party/valgrind' \
- 'base/third_party/xdg_mime' \
- 'base/third_party/xdg_user_dirs' \
- 'breakpad/src/third_party/curl' \
- 'chrome/third_party/mozilla_security_manager' \
- 'courgette/third_party' \
- 'crypto/third_party/nss' \
- 'net/third_party/mozilla_security_manager' \
- 'net/third_party/nss' \
- 'third_party/WebKit' \
- 'third_party/analytics' \
- 'third_party/angle' \
- 'third_party/angle/src/third_party/compiler' \
- 'third_party/boringssl' \
- 'third_party/brotli' \
- 'third_party/cacheinvalidation' \
- 'third_party/catapult' \
- 'third_party/catapult/third_party/py_vulcanize' \
- 'third_party/catapult/third_party/py_vulcanize/third_party/rcssmin' \
- 'third_party/catapult/third_party/py_vulcanize/third_party/rjsmin' \
- 'third_party/catapult/tracing/third_party/components/polymer' \
- 'third_party/catapult/tracing/third_party/d3' \
- 'third_party/catapult/tracing/third_party/gl-matrix' \
- 'third_party/catapult/tracing/third_party/jszip' \
- 'third_party/cld_2' \
- 'third_party/cros_system_api' \
- 'third_party/cython/python_flags.py' \
- 'third_party/devscripts' \
- 'third_party/dom_distiller_js' \
- 'third_party/dom_distiller_js/dist/proto_gen/third_party/dom_distiller_js' \
- 'third_party/fips181' \
- 'third_party/flot' \
- 'third_party/google_input_tools' \
- 'third_party/google_input_tools/third_party/closure_library' \
- 'third_party/google_input_tools/third_party/closure_library/third_party/closure' \
- 'third_party/hunspell' \
- 'third_party/iccjpeg' \
- 'third_party/jstemplate' \
- 'third_party/khronos' \
- 'third_party/leveldatabase' \
- 'third_party/libXNVCtrl' \
- 'third_party/libaddressinput' \
- 'third_party/libjingle' \
- 'third_party/libphonenumber' \
- 'third_party/libsecret' \
- 'third_party/libsrtp' \
- 'third_party/libudev' \
- 'third_party/libusb' \
- 'third_party/libvpx_new' \
- 'third_party/libvpx_new/source/libvpx/third_party/x86inc' \
- 'third_party/libxml/chromium' \
- 'third_party/libwebm' \
- 'third_party/libyuv' \
- 'third_party/lss' \
- 'third_party/lzma_sdk' \
- 'third_party/mesa' \
- 'third_party/modp_b64' \
- 'third_party/mojo' \
- 'third_party/mt19937ar' \
- 'third_party/npapi' \
- 'third_party/openmax_dl' \
- 'third_party/opus' \
- 'third_party/ots' \
- 'third_party/pdfium' \
- 'third_party/pdfium/third_party/agg23' \
- 'third_party/pdfium/third_party/base' \
- 'third_party/pdfium/third_party/bigint' \
- 'third_party/pdfium/third_party/freetype' \
- 'third_party/pdfium/third_party/lcms2-2.6' \
- 'third_party/pdfium/third_party/libjpeg' \
- 'third_party/pdfium/third_party/libopenjpeg20' \
- 'third_party/pdfium/third_party/zlib_v128' \
- 'third_party/polymer' \
- 'third_party/protobuf' \
- 'third_party/qcms' \
- 'third_party/sfntly' \
- 'third_party/skia' \
- 'third_party/smhasher' \
- 'third_party/sqlite' \
- 'third_party/tcmalloc' \
- 'third_party/usrsctp' \
- 'third_party/web-animations-js' \
- 'third_party/webdriver' \
- 'third_party/webrtc' \
- 'third_party/widevine' \
- 'third_party/x86inc' \
- 'third_party/zlib/google' \
- 'url/third_party/mozilla' \
- 'v8/src/third_party/fdlibm' \
- 'v8/src/third_party/valgrind' \
- --do-remove || die
-}
-
-src_configure() {
- local myconf_gyp=""
- local myconf_gn=""
-
- # GN needs explicit config for Debug/Release as opposed to inferring it from build directory.
- myconf_gn+=" is_debug=false"
-
- # Never tell the build system to "enable" SSE2, it has a few unexpected
- # additions, bug #336871.
- myconf_gyp+=" -Ddisable_sse2=1"
-
- # Disable nacl, we can't build without pnacl (http://crbug.com/269560).
- myconf_gyp+=" -Ddisable_nacl=1"
- myconf_gn+=" enable_nacl=false"
-
- # Make it possible to remove third_party/adobe.
- echo > "${T}/flapper_version.h" || die
- myconf_gyp+=" -Dflapper_version_h_file=${T}/flapper_version.h"
-
- # Use system-provided libraries.
- # TODO: use_system_hunspell (upstream changes needed).
- # TODO: use_system_libsrtp (bug #459932).
- # TODO: use_system_libusb (http://crbug.com/266149).
- # TODO: use_system_libvpx (http://crbug.com/494939).
- # TODO: use_system_opus (https://code.google.com/p/webrtc/issues/detail?id=3077).
- # TODO: use_system_protobuf (bug #525560).
- # TODO: use_system_ssl (http://crbug.com/58087).
- # TODO: use_system_sqlite (http://crbug.com/22208).
- myconf_gyp+="
- -Duse_system_bzip2=1
- -Duse_system_ffmpeg=$(usex system-ffmpeg 1 0)
- -Duse_system_flac=1
- -Duse_system_harfbuzz=1
- -Duse_system_icu=1
- -Duse_system_jsoncpp=1
- -Duse_system_libevent=1
- -Duse_system_libjpeg=1
- -Duse_system_libpng=1
- -Duse_system_libwebp=1
- -Duse_system_libxml=1
- -Duse_system_libxslt=1
- -Duse_system_minizip=1
- -Duse_system_nspr=1
- -Duse_system_re2=1
- -Duse_system_snappy=1
- -Duse_system_speex=1
- -Duse_system_xdg_utils=1
- -Duse_system_zlib=1"
-
- # Needed for system icu - we don't need additional data files.
- myconf_gyp+=" -Dicu_use_data_file_flag=0"
-
- # TODO: patch gyp so that this arm conditional is not needed.
- if ! use arm; then
- myconf_gyp+="
- -Duse_system_yasm=1"
- fi
-
- # Optional dependencies.
- # TODO: linux_link_kerberos, bug #381289.
- myconf_gyp+="
- $(gyp_use cups)
- $(gyp_use gnome use_gconf)
- $(gyp_use gnome-keyring use_gnome_keyring)
- $(gyp_use gnome-keyring linux_link_gnome_keyring)
- $(gyp_use gtk3)
- $(gyp_use hangouts enable_hangout_services_extension)
- $(gyp_use hidpi enable_hidpi)
- $(gyp_use hotwording enable_hotwording)
- $(gyp_use kerberos)
- $(gyp_use pulseaudio)
- $(gyp_use tcmalloc use_allocator tcmalloc none)
- $(gyp_use widevine enable_widevine)"
-
- myconf_gn+=" use_cups=$(usex cups true false)"
-
- # Use explicit library dependencies instead of dlopen.
- # This makes breakages easier to detect by revdep-rebuild.
- myconf_gyp+="
- -Dlinux_link_gsettings=1
- -Dlinux_link_libpci=1
- -Dlinux_link_libspeechd=1
- -Dlibspeechd_h_prefix=speech-dispatcher/"
-
- # TODO: use the file at run time instead of effectively compiling it in.
- myconf_gyp+="
- -Dusb_ids_path=/usr/share/misc/usb.ids"
-
- # Save space by removing DLOG and DCHECK messages (about 6% reduction).
- myconf_gyp+="
- -Dlogging_like_official_build=1"
-
- if [[ $(tc-getCC) == *clang* ]]; then
- myconf_gyp+=" -Dclang=1"
- myconf_gn+=" is_clang=true"
- else
- myconf_gyp+=" -Dclang=0"
- myconf_gn+=" is_clang=false"
- fi
-
- # Never use bundled gold binary. Disable gold linker flags for now.
- # Do not use bundled clang.
- myconf_gyp+="
- -Dclang_use_chrome_plugins=0
- -Dhost_clang=0
- -Dlinux_use_bundled_binutils=0
- -Dlinux_use_bundled_gold=0
- -Dlinux_use_gold_flags=0"
-
- ffmpeg_branding="$(usex proprietary-codecs Chrome Chromium)"
- myconf_gyp+=" -Dproprietary_codecs=1 -Dffmpeg_branding=${ffmpeg_branding}"
-
- # Set up Google API keys, see http://www.chromium.org/developers/how-tos/api-keys .
- # Note: these are for Gentoo use ONLY. For your own distribution,
- # please get your own set of keys. Feel free to contact chromium@gentoo.org
- # for more info.
- myconf_gyp+=" -Dgoogle_api_key=AIzaSyDEAOvatFo0eTgsV_ZlEzx0ObmepsMzfAc
- -Dgoogle_default_client_id=329227923882.apps.googleusercontent.com
- -Dgoogle_default_client_secret=vgKG0NNv7GoDpbtoFNLxCUXu"
-
- local myarch="$(tc-arch)"
- if [[ $myarch = amd64 ]] ; then
- target_arch=x64
- ffmpeg_target_arch=x64
- elif [[ $myarch = x86 ]] ; then
- target_arch=ia32
- ffmpeg_target_arch=ia32
- elif [[ $myarch = arm ]] ; then
- target_arch=arm
- ffmpeg_target_arch=$(usex neon arm-neon arm)
- # TODO: re-enable NaCl (NativeClient).
- local CTARGET=${CTARGET:-${CHOST}}
- if [[ $(tc-is-softfloat) == "no" ]]; then
-
- myconf_gyp+=" -Darm_float_abi=hard"
- fi
- filter-flags "-mfpu=*"
- use neon || myconf_gyp+=" -Darm_fpu=${ARM_FPU:-vfpv3-d16}"
-
- if [[ ${CTARGET} == armv[78]* ]]; then
- myconf_gyp+=" -Darmv7=1"
- else
- myconf_gyp+=" -Darmv7=0"
- fi
- myconf_gyp+=" -Dsysroot=
- $(gyp_use neon arm_neon)
- -Ddisable_nacl=1"
- else
- die "Failed to determine target arch, got '$myarch'."
- fi
-
- myconf_gyp+=" -Dtarget_arch=${target_arch}"
-
- # Make sure that -Werror doesn't get added to CFLAGS by the build system.
- # Depending on GCC version the warnings are different and we don't want
- # the build to fail because of that.
- myconf_gyp+=" -Dwerror="
- myconf_gn+=" treat_warnings_as_errors=false"
-
- # Disable fatal linker warnings, bug 506268.
- myconf_gyp+=" -Ddisable_fatal_linker_warnings=1"
-
- # Avoid CFLAGS problems, bug #352457, bug #390147.
- if ! use custom-cflags; then
- replace-flags "-Os" "-O2"
- strip-flags
-
- # Prevent linker from running out of address space, bug #471810 .
- if use x86; then
- filter-flags "-g*"
- fi
-
- # Prevent libvpx build failures. Bug 530248, 544702, 546984.
- if [[ ${myarch} == amd64 || ${myarch} == x86 ]]; then
- filter-flags -mno-mmx -mno-sse2 -mno-ssse3 -mno-sse4.1 -mno-avx -mno-avx2
- fi
- fi
-
- # Make sure the build system will use the right tools, bug #340795.
- tc-export AR CC CXX NM
-
- # Tools for building programs to be executed on the build system, bug #410883.
- if tc-is-cross-compiler; then
- export AR_host=$(tc-getBUILD_AR)
- export CC_host=$(tc-getBUILD_CC)
- export CXX_host=$(tc-getBUILD_CXX)
- export NM_host=$(tc-getBUILD_NM)
- fi
-
- # Bug 491582.
- export TMPDIR="${WORKDIR}/temp"
- mkdir -p -m 755 "${TMPDIR}" || die
-
- # TODO: also do this for GN bundled ffmpeg build.
- if ! use system-ffmpeg && ! use gn; then
- local build_ffmpeg_args=""
- if use pic && [[ "${ffmpeg_target_arch}" == "ia32" ]]; then
- build_ffmpeg_args+=" --disable-asm"
- fi
-
- # Re-configure bundled ffmpeg. See bug #491378 for example reasons.
- einfo "Configuring bundled ffmpeg..."
- pushd third_party/ffmpeg > /dev/null || die
- chromium/scripts/build_ffmpeg.py linux ${ffmpeg_target_arch} \
- --branding ${ffmpeg_branding} -- ${build_ffmpeg_args} || die
- chromium/scripts/copy_config.sh || die
- chromium/scripts/generate_gyp.py || die
- popd > /dev/null || die
- fi
-
- third_party/libaddressinput/chromium/tools/update-strings.py || die
-
- touch chrome/test/data/webui/i18n_process_css_test.html || die
-
- einfo "Configuring Chromium..."
- if use gn; then
- tools/gn/bootstrap/bootstrap.py -v --gn-gen-args "${myconf_gn}" || die
- out/Release/gn gen --args="${myconf_gn}" out/Release || die
- else
- build/linux/unbundle/replace_gyp_files.py ${myconf_gyp} || die
- egyp_chromium ${myconf_gyp} || die
- fi
-}
-
-eninja() {
- if [[ -z ${NINJAOPTS+set} ]]; then
- local jobs=$(makeopts_jobs)
- local loadavg=$(makeopts_loadavg)
-
- if [[ ${MAKEOPTS} == *-j* && ${jobs} != 999 ]]; then
- NINJAOPTS+=" -j ${jobs}"
- fi
- if [[ ${MAKEOPTS} == *-l* && ${loadavg} != 999 ]]; then
- NINJAOPTS+=" -l ${loadavg}"
- fi
- fi
- set -- ninja -v ${NINJAOPTS} "$@"
- echo "$@"
- "$@"
-}
-
-src_compile() {
- local ninja_targets="chrome chrome_sandbox chromedriver"
-
- if ! use gn; then
- # Build mksnapshot and pax-mark it.
- eninja -C out/Release mksnapshot || die
- pax-mark m out/Release/mksnapshot
- fi
-
- # Even though ninja autodetects number of CPUs, we respect
- # user's options, for debugging with -j 1 or any other reason.
- eninja -C out/Release ${ninja_targets} || die
-
- pax-mark m out/Release/chrome
-}
-
-src_install() {
- exeinto "${CHROMIUM_HOME}"
- doexe out/Release/chrome || die
-
- newexe out/Release/chrome_sandbox chrome-sandbox || die
- fperms 4755 "${CHROMIUM_HOME}/chrome-sandbox"
-
- doexe out/Release/chromedriver || die
- use widevine && doexe out/Release/libwidevinecdmadapter.so
-
- # if ! use arm; then
- # doexe out/Release/nacl_helper{,_bootstrap} || die
- # insinto "${CHROMIUM_HOME}"
- # doins out/Release/nacl_irt_*.nexe || die
- # doins out/Release/libppGoogleNaClPluginChrome.so || die
- # fi
-
- local sedargs=( -e "s:/usr/lib/:/usr/$(get_libdir)/:g" )
- if [[ -n ${CHROMIUM_SUFFIX} ]]; then
- sedargs+=(
- -e "s:chromium-browser:chromium-browser${CHROMIUM_SUFFIX}:g"
- -e "s:chromium.desktop:chromium${CHROMIUM_SUFFIX}.desktop:g"
- -e "s:plugins:plugins --user-data-dir=\${HOME}/.config/chromium${CHROMIUM_SUFFIX}:"
- )
- fi
- sed "${sedargs[@]}" "${FILESDIR}/chromium-launcher-r3.sh" > chromium-launcher.sh || die
- doexe chromium-launcher.sh
-
- # It is important that we name the target "chromium-browser",
- # xdg-utils expect it; bug #355517.
- dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium-browser${CHROMIUM_SUFFIX} || die
- # keep the old symlink around for consistency
- dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium${CHROMIUM_SUFFIX} || die
-
- dosym "${CHROMIUM_HOME}/chromedriver" /usr/bin/chromedriver${CHROMIUM_SUFFIX} || die
-
- # Allow users to override command-line options, bug #357629.
- dodir /etc/chromium || die
- insinto /etc/chromium
- newins "${FILESDIR}/chromium.default" "default" || die
-
- pushd out/Release/locales > /dev/null || die
- chromium_remove_language_paks
- popd
-
- insinto "${CHROMIUM_HOME}"
- doins out/Release/*.bin || die
- doins out/Release/*.pak || die
-
- if use gn; then
- doins out/Release/icudtl.dat || die
- fi
-
- doins -r out/Release/locales || die
- doins -r out/Release/resources || die
-
- newman out/Release/chrome.1 chromium${CHROMIUM_SUFFIX}.1 || die
- newman out/Release/chrome.1 chromium-browser${CHROMIUM_SUFFIX}.1 || die
-
- # Install icons and desktop entry.
- local branding size
- for size in 16 22 24 32 48 64 128 256 ; do
- case ${size} in
- 16|32) branding="chrome/app/theme/default_100_percent/chromium" ;;
- *) branding="chrome/app/theme/chromium" ;;
- esac
- newicon -s ${size} "${branding}/product_logo_${size}.png" \
- chromium-browser${CHROMIUM_SUFFIX}.png
- done
-
- local mime_types="text/html;text/xml;application/xhtml+xml;"
- mime_types+="x-scheme-handler/http;x-scheme-handler/https;" # bug #360797
- mime_types+="x-scheme-handler/ftp;" # bug #412185
- mime_types+="x-scheme-handler/mailto;x-scheme-handler/webcal;" # bug #416393
- make_desktop_entry \
- chromium-browser${CHROMIUM_SUFFIX} \
- "Chromium${CHROMIUM_SUFFIX}" \
- chromium-browser${CHROMIUM_SUFFIX} \
- "Network;WebBrowser" \
- "MimeType=${mime_types}\nStartupWMClass=chromium-browser"
- sed -e "/^Exec/s/$/ %U/" -i "${ED}"/usr/share/applications/*.desktop || die
-
- # Install GNOME default application entry (bug #303100).
- if use gnome; then
- dodir /usr/share/gnome-control-center/default-apps || die
- insinto /usr/share/gnome-control-center/default-apps
- newins "${FILESDIR}"/chromium-browser.xml chromium-browser${CHROMIUM_SUFFIX}.xml || die
- if [[ "${CHROMIUM_SUFFIX}" != "" ]]; then
- sed "s:chromium-browser:chromium-browser${CHROMIUM_SUFFIX}:g" -i \
- "${ED}"/usr/share/gnome-control-center/default-apps/chromium-browser${CHROMIUM_SUFFIX}.xml
- fi
- fi
-
- readme.gentoo_create_doc
-}
-
-pkg_postinst() {
- fdo-mime_desktop_database_update
- gnome2_icon_cache_update
- readme.gentoo_print_elog
-}
diff --git a/www-client/chromium/chromium-48.0.2564.23.ebuild b/www-client/chromium/chromium-48.0.2564.23.ebuild
deleted file mode 100644
index 49ea972061e..00000000000
--- a/www-client/chromium/chromium-48.0.2564.23.ebuild
+++ /dev/null
@@ -1,691 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-PYTHON_COMPAT=( python2_7 )
-
-CHROMIUM_LANGS="am ar bg bn ca cs da de el en_GB es es_LA et fa fi fil fr gu he
- hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt_BR pt_PT ro ru sk sl sr
- sv sw ta te th tr uk vi zh_CN zh_TW"
-
-inherit check-reqs chromium eutils flag-o-matic multilib multiprocessing pax-utils \
- portability python-any-r1 readme.gentoo toolchain-funcs versionator virtualx
-
-DESCRIPTION="Open-source version of Google Chrome web browser"
-HOMEPAGE="http://chromium.org/"
-SRC_URI="https://commondatastorage.googleapis.com/chromium-browser-official/${P}.tar.xz"
-
-LICENSE="BSD hotwording? ( no-source-code )"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~x86"
-IUSE="cups gn gnome gnome-keyring gtk3 +hangouts hidpi hotwording kerberos neon pic +proprietary-codecs pulseaudio selinux +system-ffmpeg +tcmalloc widevine"
-RESTRICT="!system-ffmpeg? ( proprietary-codecs? ( bindist ) )"
-
-REQUIRED_USE="gn? ( kerberos !system-ffmpeg )"
-
-# Native Client binaries are compiled with different set of flags, bug #452066.
-QA_FLAGS_IGNORED=".*\.nexe"
-
-# Native Client binaries may be stripped by the build system, which uses the
-# right tools for it, bug #469144 .
-QA_PRESTRIPPED=".*\.nexe"
-
-RDEPEND="
- app-arch/bzip2:=
- cups? ( >=net-print/cups-1.3.11:= )
- >=dev-libs/elfutils-0.149
- dev-libs/expat:=
- dev-libs/glib:=
- >=dev-libs/jsoncpp-0.5.0-r1:=
- dev-libs/nspr:=
- >=dev-libs/nss-3.14.3:=
- gnome? ( >=gnome-base/gconf-2.24.0:= )
- gnome-keyring? ( >=gnome-base/libgnome-keyring-3.12:= )
- >=media-libs/alsa-lib-1.0.19:=
- media-libs/fontconfig:=
- media-libs/freetype:=
- media-libs/libexif:=
- media-libs/speex:=
- pulseaudio? ( media-sound/pulseaudio:= )
- system-ffmpeg? ( >=media-video/ffmpeg-2.7.2:=[opus,vorbis,vpx] )
- sys-apps/dbus:=
- sys-apps/pciutils:=
- >=sys-libs/libcap-2.22:=
- virtual/udev
- x11-libs/cairo:=
- x11-libs/gdk-pixbuf:=
- gtk3? ( x11-libs/gtk+:3= )
- !gtk3? ( x11-libs/gtk+:2= )
- x11-libs/libdrm
- x11-libs/libX11:=
- x11-libs/libXcomposite:=
- x11-libs/libXcursor:=
- x11-libs/libXdamage:=
- x11-libs/libXext:=
- x11-libs/libXfixes:=
- >=x11-libs/libXi-1.6.0:=
- x11-libs/libXinerama:=
- x11-libs/libXrandr:=
- x11-libs/libXrender:=
- x11-libs/libXScrnSaver:=
- x11-libs/libXtst:=
- x11-libs/pango:=
- kerberos? ( virtual/krb5 )
- !gn? (
- >=app-accessibility/speech-dispatcher-0.8:=
- app-arch/snappy:=
- >=dev-libs/icu-55.1:=
- >=dev-libs/libevent-1.4.13:=
- dev-libs/libxml2:=[icu]
- dev-libs/libxslt:=
- dev-libs/re2:=
- media-libs/flac:=
- media-libs/harfbuzz:=[icu(+)]
- >=media-libs/libjpeg-turbo-1.2.0-r1:=
- media-libs/libpng:0=
- >=media-libs/libwebp-0.4.0:=
- sys-libs/zlib:=[minizip]
- )"
-DEPEND="${RDEPEND}
- !arm? (
- dev-lang/yasm
- )
- dev-lang/perl
- dev-perl/JSON
- >=dev-util/gperf-3.0.3
- dev-util/ninja
- sys-apps/hwids[usb(+)]
- >=sys-devel/bison-2.4.3
- sys-devel/flex
- virtual/pkgconfig"
-
-# For nvidia-drivers blocker, see bug #413637 .
-RDEPEND+="
- !=www-client/chromium-9999
- !<www-plugins/chrome-binary-plugins-37
- x11-misc/xdg-utils
- virtual/opengl
- virtual/ttf-fonts
- selinux? ( sec-policy/selinux-chromium )
- tcmalloc? ( !<x11-drivers/nvidia-drivers-331.20 )
- widevine? ( www-plugins/chrome-binary-plugins[widevine(-)] )"
-
-# Python dependencies. The DEPEND part needs to be kept in sync
-# with python_check_deps.
-DEPEND+=" $(python_gen_any_dep '
- dev-python/beautifulsoup:python-2[${PYTHON_USEDEP}]
- dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
- dev-python/html5lib[${PYTHON_USEDEP}]
- dev-python/jinja[${PYTHON_USEDEP}]
- dev-python/ply[${PYTHON_USEDEP}]
- dev-python/simplejson[${PYTHON_USEDEP}]
-')"
-python_check_deps() {
- has_version "dev-python/beautifulsoup:python-2[${PYTHON_USEDEP}]" && \
- has_version "dev-python/beautifulsoup:4[${PYTHON_USEDEP}]" && \
- has_version "dev-python/html5lib[${PYTHON_USEDEP}]" && \
- has_version "dev-python/jinja[${PYTHON_USEDEP}]" && \
- has_version "dev-python/ply[${PYTHON_USEDEP}]" && \
- has_version "dev-python/simplejson[${PYTHON_USEDEP}]"
-}
-
-if ! has chromium_pkg_die ${EBUILD_DEATH_HOOKS}; then
- EBUILD_DEATH_HOOKS+=" chromium_pkg_die";
-fi
-
-DISABLE_AUTOFORMATTING="yes"
-DOC_CONTENTS="
-Some web pages may require additional fonts to display properly.
-Try installing some of the following packages if some characters
-are not displayed properly:
-- media-fonts/arphicfonts
-- media-fonts/bitstream-cyberbit
-- media-fonts/droid
-- media-fonts/ipamonafont
-- media-fonts/ja-ipafonts
-- media-fonts/takao-fonts
-- media-fonts/wqy-microhei
-- media-fonts/wqy-zenhei
-
-Depending on your desktop environment, you may need
-to install additional packages to get icons on the Downloads page.
-
-For KDE, the required package is kde-frameworks/oxygen-icons.
-
-For other desktop environments, try one of the following:
-- x11-themes/gnome-icon-theme
-- x11-themes/tango-icon-theme
-"
-
-pkg_pretend() {
- if [[ $(tc-getCC)$ == *gcc* ]] && \
- [[ $(gcc-major-version)$(gcc-minor-version) -lt 48 ]]; then
- die 'At least gcc 4.8 is required, see bugs: #535730, #525374, #518668.'
- fi
-
- # Check build requirements, bug #541816 and bug #471810 .
- CHECKREQS_MEMORY="3G"
- CHECKREQS_DISK_BUILD="5G"
- eshopts_push -s extglob
- if is-flagq '-g?(gdb)?([1-9])'; then
- CHECKREQS_DISK_BUILD="25G"
- fi
- eshopts_pop
- check-reqs_pkg_pretend
-}
-
-pkg_setup() {
- if [[ "${SLOT}" == "0" ]]; then
- CHROMIUM_SUFFIX=""
- else
- CHROMIUM_SUFFIX="-${SLOT}"
- fi
- CHROMIUM_HOME="/usr/$(get_libdir)/chromium-browser${CHROMIUM_SUFFIX}"
-
- # Make sure the build system will use the right python, bug #344367.
- python-any-r1_pkg_setup
-
- chromium_suid_sandbox_check_kernel_config
-}
-
-src_prepare() {
- epatch "${FILESDIR}/${PN}-system-ffmpeg-r1.patch"
- epatch "${FILESDIR}/${PN}-system-jinja-r7.patch"
- epatch "${FILESDIR}/${PN}-widevine-r1.patch"
- epatch "${FILESDIR}/${PN}-last-commit-position-r0.patch"
- epatch "${FILESDIR}/${PN}-snapshot-toolchain-r0.patch"
- epatch "${FILESDIR}/${PN}-rpath-r0.patch"
- epatch "${FILESDIR}/${PN}-system-icu-r0.patch"
-
- epatch_user
-
- local conditional_bundled_libraries=""
- if ! use system-ffmpeg; then
- conditional_bundled_libraries+=" third_party/ffmpeg"
- fi
- if use gn; then
- conditional_bundled_libraries+="
- third_party/adobe
- third_party/ffmpeg
- third_party/flac
- third_party/harfbuzz-ng
- third_party/icu
- third_party/jinja2
- third_party/libevent
- third_party/libjpeg_turbo
- third_party/libpng
- third_party/libwebp
- third_party/libxml
- third_party/libxslt
- third_party/markupsafe
- third_party/re2
- third_party/snappy
- third_party/speech-dispatcher
- third_party/usb_ids
- third_party/xdg-utils
- third_party/yasm
- third_party/zlib
- "
- fi
-
- # Remove most bundled libraries. Some are still needed.
- build/linux/unbundle/remove_bundled_libraries.py \
- ${conditional_bundled_libraries} \
- 'base/third_party/dmg_fp' \
- 'base/third_party/dynamic_annotations' \
- 'base/third_party/icu' \
- 'base/third_party/nspr' \
- 'base/third_party/superfasthash' \
- 'base/third_party/symbolize' \
- 'base/third_party/valgrind' \
- 'base/third_party/xdg_mime' \
- 'base/third_party/xdg_user_dirs' \
- 'breakpad/src/third_party/curl' \
- 'chrome/third_party/mozilla_security_manager' \
- 'courgette/third_party' \
- 'crypto/third_party/nss' \
- 'net/third_party/mozilla_security_manager' \
- 'net/third_party/nss' \
- 'third_party/WebKit' \
- 'third_party/analytics' \
- 'third_party/angle' \
- 'third_party/angle/src/third_party/compiler' \
- 'third_party/boringssl' \
- 'third_party/brotli' \
- 'third_party/cacheinvalidation' \
- 'third_party/catapult' \
- 'third_party/catapult/third_party/py_vulcanize' \
- 'third_party/catapult/third_party/py_vulcanize/third_party/rcssmin' \
- 'third_party/catapult/third_party/py_vulcanize/third_party/rjsmin' \
- 'third_party/catapult/tracing/third_party/components/polymer' \
- 'third_party/catapult/tracing/third_party/d3' \
- 'third_party/catapult/tracing/third_party/gl-matrix' \
- 'third_party/catapult/tracing/third_party/jszip' \
- 'third_party/cld_2' \
- 'third_party/cros_system_api' \
- 'third_party/cython/python_flags.py' \
- 'third_party/devscripts' \
- 'third_party/dom_distiller_js' \
- 'third_party/dom_distiller_js/dist/proto_gen/third_party/dom_distiller_js' \
- 'third_party/fips181' \
- 'third_party/flot' \
- 'third_party/google_input_tools' \
- 'third_party/google_input_tools/third_party/closure_library' \
- 'third_party/google_input_tools/third_party/closure_library/third_party/closure' \
- 'third_party/hunspell' \
- 'third_party/iccjpeg' \
- 'third_party/jstemplate' \
- 'third_party/khronos' \
- 'third_party/leveldatabase' \
- 'third_party/libXNVCtrl' \
- 'third_party/libaddressinput' \
- 'third_party/libjingle' \
- 'third_party/libphonenumber' \
- 'third_party/libsecret' \
- 'third_party/libsrtp' \
- 'third_party/libudev' \
- 'third_party/libusb' \
- 'third_party/libvpx_new' \
- 'third_party/libvpx_new/source/libvpx/third_party/x86inc' \
- 'third_party/libxml/chromium' \
- 'third_party/libwebm' \
- 'third_party/libyuv' \
- 'third_party/lss' \
- 'third_party/lzma_sdk' \
- 'third_party/mesa' \
- 'third_party/modp_b64' \
- 'third_party/mojo' \
- 'third_party/mt19937ar' \
- 'third_party/npapi' \
- 'third_party/openmax_dl' \
- 'third_party/opus' \
- 'third_party/ots' \
- 'third_party/pdfium' \
- 'third_party/pdfium/third_party/agg23' \
- 'third_party/pdfium/third_party/base' \
- 'third_party/pdfium/third_party/bigint' \
- 'third_party/pdfium/third_party/freetype' \
- 'third_party/pdfium/third_party/lcms2-2.6' \
- 'third_party/pdfium/third_party/libjpeg' \
- 'third_party/pdfium/third_party/libopenjpeg20' \
- 'third_party/pdfium/third_party/zlib_v128' \
- 'third_party/polymer' \
- 'third_party/protobuf' \
- 'third_party/qcms' \
- 'third_party/sfntly' \
- 'third_party/skia' \
- 'third_party/smhasher' \
- 'third_party/sqlite' \
- 'third_party/tcmalloc' \
- 'third_party/usrsctp' \
- 'third_party/web-animations-js' \
- 'third_party/webdriver' \
- 'third_party/webrtc' \
- 'third_party/widevine' \
- 'third_party/x86inc' \
- 'third_party/zlib/google' \
- 'url/third_party/mozilla' \
- 'v8/src/third_party/fdlibm' \
- 'v8/src/third_party/valgrind' \
- --do-remove || die
-}
-
-src_configure() {
- local myconf_gyp=""
- local myconf_gn=""
-
- # GN needs explicit config for Debug/Release as opposed to inferring it from build directory.
- myconf_gn+=" is_debug=false"
-
- # Never tell the build system to "enable" SSE2, it has a few unexpected
- # additions, bug #336871.
- myconf_gyp+=" -Ddisable_sse2=1"
-
- # Disable nacl, we can't build without pnacl (http://crbug.com/269560).
- myconf_gyp+=" -Ddisable_nacl=1"
- myconf_gn+=" enable_nacl=false"
-
- # Make it possible to remove third_party/adobe.
- echo > "${T}/flapper_version.h" || die
- myconf_gyp+=" -Dflapper_version_h_file=${T}/flapper_version.h"
-
- # Use system-provided libraries.
- # TODO: use_system_hunspell (upstream changes needed).
- # TODO: use_system_libsrtp (bug #459932).
- # TODO: use_system_libusb (http://crbug.com/266149).
- # TODO: use_system_libvpx (http://crbug.com/494939).
- # TODO: use_system_opus (https://code.google.com/p/webrtc/issues/detail?id=3077).
- # TODO: use_system_protobuf (bug #525560).
- # TODO: use_system_ssl (http://crbug.com/58087).
- # TODO: use_system_sqlite (http://crbug.com/22208).
- myconf_gyp+="
- -Duse_system_bzip2=1
- -Duse_system_ffmpeg=$(usex system-ffmpeg 1 0)
- -Duse_system_flac=1
- -Duse_system_harfbuzz=1
- -Duse_system_icu=1
- -Duse_system_jsoncpp=1
- -Duse_system_libevent=1
- -Duse_system_libjpeg=1
- -Duse_system_libpng=1
- -Duse_system_libwebp=1
- -Duse_system_libxml=1
- -Duse_system_libxslt=1
- -Duse_system_minizip=1
- -Duse_system_nspr=1
- -Duse_system_re2=1
- -Duse_system_snappy=1
- -Duse_system_speex=1
- -Duse_system_xdg_utils=1
- -Duse_system_zlib=1"
-
- # Needed for system icu - we don't need additional data files.
- myconf_gyp+=" -Dicu_use_data_file_flag=0"
-
- # TODO: patch gyp so that this arm conditional is not needed.
- if ! use arm; then
- myconf_gyp+="
- -Duse_system_yasm=1"
- fi
-
- # Optional dependencies.
- # TODO: linux_link_kerberos, bug #381289.
- myconf_gyp+="
- $(gyp_use cups)
- $(gyp_use gnome use_gconf)
- $(gyp_use gnome-keyring use_gnome_keyring)
- $(gyp_use gnome-keyring linux_link_gnome_keyring)
- $(gyp_use gtk3)
- $(gyp_use hangouts enable_hangout_services_extension)
- $(gyp_use hidpi enable_hidpi)
- $(gyp_use hotwording enable_hotwording)
- $(gyp_use kerberos)
- $(gyp_use pulseaudio)
- $(gyp_use tcmalloc use_allocator tcmalloc none)
- $(gyp_use widevine enable_widevine)"
-
- myconf_gn+=" use_cups=$(usex cups true false)"
-
- # Use explicit library dependencies instead of dlopen.
- # This makes breakages easier to detect by revdep-rebuild.
- myconf_gyp+="
- -Dlinux_link_gsettings=1
- -Dlinux_link_libpci=1
- -Dlinux_link_libspeechd=1
- -Dlibspeechd_h_prefix=speech-dispatcher/"
-
- # TODO: use the file at run time instead of effectively compiling it in.
- myconf_gyp+="
- -Dusb_ids_path=/usr/share/misc/usb.ids"
-
- # Save space by removing DLOG and DCHECK messages (about 6% reduction).
- myconf_gyp+="
- -Dlogging_like_official_build=1"
-
- if [[ $(tc-getCC) == *clang* ]]; then
- myconf_gyp+=" -Dclang=1"
- myconf_gn+=" is_clang=true"
- else
- myconf_gyp+=" -Dclang=0"
- myconf_gn+=" is_clang=false"
- fi
-
- # Never use bundled gold binary. Disable gold linker flags for now.
- # Do not use bundled clang.
- myconf_gyp+="
- -Dclang_use_chrome_plugins=0
- -Dhost_clang=0
- -Dlinux_use_bundled_binutils=0
- -Dlinux_use_bundled_gold=0
- -Dlinux_use_gold_flags=0"
-
- ffmpeg_branding="$(usex proprietary-codecs Chrome Chromium)"
- myconf_gyp+=" -Dproprietary_codecs=1 -Dffmpeg_branding=${ffmpeg_branding}"
-
- # Set up Google API keys, see http://www.chromium.org/developers/how-tos/api-keys .
- # Note: these are for Gentoo use ONLY. For your own distribution,
- # please get your own set of keys. Feel free to contact chromium@gentoo.org
- # for more info.
- myconf_gyp+=" -Dgoogle_api_key=AIzaSyDEAOvatFo0eTgsV_ZlEzx0ObmepsMzfAc
- -Dgoogle_default_client_id=329227923882.apps.googleusercontent.com
- -Dgoogle_default_client_secret=vgKG0NNv7GoDpbtoFNLxCUXu"
-
- local myarch="$(tc-arch)"
- if [[ $myarch = amd64 ]] ; then
- target_arch=x64
- ffmpeg_target_arch=x64
- elif [[ $myarch = x86 ]] ; then
- target_arch=ia32
- ffmpeg_target_arch=ia32
- elif [[ $myarch = arm ]] ; then
- target_arch=arm
- ffmpeg_target_arch=$(usex neon arm-neon arm)
- # TODO: re-enable NaCl (NativeClient).
- local CTARGET=${CTARGET:-${CHOST}}
- if [[ $(tc-is-softfloat) == "no" ]]; then
-
- myconf_gyp+=" -Darm_float_abi=hard"
- fi
- filter-flags "-mfpu=*"
- use neon || myconf_gyp+=" -Darm_fpu=${ARM_FPU:-vfpv3-d16}"
-
- if [[ ${CTARGET} == armv[78]* ]]; then
- myconf_gyp+=" -Darmv7=1"
- else
- myconf_gyp+=" -Darmv7=0"
- fi
- myconf_gyp+=" -Dsysroot=
- $(gyp_use neon arm_neon)
- -Ddisable_nacl=1"
- else
- die "Failed to determine target arch, got '$myarch'."
- fi
-
- myconf_gyp+=" -Dtarget_arch=${target_arch}"
-
- # Make sure that -Werror doesn't get added to CFLAGS by the build system.
- # Depending on GCC version the warnings are different and we don't want
- # the build to fail because of that.
- myconf_gyp+=" -Dwerror="
- myconf_gn+=" treat_warnings_as_errors=false"
-
- # Disable fatal linker warnings, bug 506268.
- myconf_gyp+=" -Ddisable_fatal_linker_warnings=1"
-
- # Avoid CFLAGS problems, bug #352457, bug #390147.
- if ! use custom-cflags; then
- replace-flags "-Os" "-O2"
- strip-flags
-
- # Prevent linker from running out of address space, bug #471810 .
- if use x86; then
- filter-flags "-g*"
- fi
-
- # Prevent libvpx build failures. Bug 530248, 544702, 546984.
- if [[ ${myarch} == amd64 || ${myarch} == x86 ]]; then
- filter-flags -mno-mmx -mno-sse2 -mno-ssse3 -mno-sse4.1 -mno-avx -mno-avx2
- fi
- fi
-
- # Make sure the build system will use the right tools, bug #340795.
- tc-export AR CC CXX NM
-
- # Tools for building programs to be executed on the build system, bug #410883.
- if tc-is-cross-compiler; then
- export AR_host=$(tc-getBUILD_AR)
- export CC_host=$(tc-getBUILD_CC)
- export CXX_host=$(tc-getBUILD_CXX)
- export NM_host=$(tc-getBUILD_NM)
- fi
-
- # Bug 491582.
- export TMPDIR="${WORKDIR}/temp"
- mkdir -p -m 755 "${TMPDIR}" || die
-
- # TODO: also do this for GN bundled ffmpeg build.
- if ! use system-ffmpeg && ! use gn; then
- local build_ffmpeg_args=""
- if use pic && [[ "${ffmpeg_target_arch}" == "ia32" ]]; then
- build_ffmpeg_args+=" --disable-asm"
- fi
-
- # Re-configure bundled ffmpeg. See bug #491378 for example reasons.
- einfo "Configuring bundled ffmpeg..."
- pushd third_party/ffmpeg > /dev/null || die
- chromium/scripts/build_ffmpeg.py linux ${ffmpeg_target_arch} \
- --branding ${ffmpeg_branding} -- ${build_ffmpeg_args} || die
- chromium/scripts/copy_config.sh || die
- chromium/scripts/generate_gyp.py || die
- popd > /dev/null || die
- fi
-
- third_party/libaddressinput/chromium/tools/update-strings.py || die
-
- touch chrome/test/data/webui/i18n_process_css_test.html || die
-
- einfo "Configuring Chromium..."
- if use gn; then
- tools/gn/bootstrap/bootstrap.py -v --gn-gen-args "${myconf_gn}" || die
- out/Release/gn gen --args="${myconf_gn}" out/Release || die
- else
- build/linux/unbundle/replace_gyp_files.py ${myconf_gyp} || die
- egyp_chromium ${myconf_gyp} || die
- fi
-}
-
-eninja() {
- if [[ -z ${NINJAOPTS+set} ]]; then
- local jobs=$(makeopts_jobs)
- local loadavg=$(makeopts_loadavg)
-
- if [[ ${MAKEOPTS} == *-j* && ${jobs} != 999 ]]; then
- NINJAOPTS+=" -j ${jobs}"
- fi
- if [[ ${MAKEOPTS} == *-l* && ${loadavg} != 999 ]]; then
- NINJAOPTS+=" -l ${loadavg}"
- fi
- fi
- set -- ninja -v ${NINJAOPTS} "$@"
- echo "$@"
- "$@"
-}
-
-src_compile() {
- local ninja_targets="chrome chrome_sandbox chromedriver"
-
- if ! use gn; then
- # Build mksnapshot and pax-mark it.
- eninja -C out/Release mksnapshot || die
- pax-mark m out/Release/mksnapshot
- fi
-
- # Even though ninja autodetects number of CPUs, we respect
- # user's options, for debugging with -j 1 or any other reason.
- eninja -C out/Release ${ninja_targets} || die
-
- pax-mark m out/Release/chrome
-}
-
-src_install() {
- exeinto "${CHROMIUM_HOME}"
- doexe out/Release/chrome || die
-
- newexe out/Release/chrome_sandbox chrome-sandbox || die
- fperms 4755 "${CHROMIUM_HOME}/chrome-sandbox"
-
- doexe out/Release/chromedriver || die
- use widevine && doexe out/Release/libwidevinecdmadapter.so
-
- # if ! use arm; then
- # doexe out/Release/nacl_helper{,_bootstrap} || die
- # insinto "${CHROMIUM_HOME}"
- # doins out/Release/nacl_irt_*.nexe || die
- # doins out/Release/libppGoogleNaClPluginChrome.so || die
- # fi
-
- local sedargs=( -e "s:/usr/lib/:/usr/$(get_libdir)/:g" )
- if [[ -n ${CHROMIUM_SUFFIX} ]]; then
- sedargs+=(
- -e "s:chromium-browser:chromium-browser${CHROMIUM_SUFFIX}:g"
- -e "s:chromium.desktop:chromium${CHROMIUM_SUFFIX}.desktop:g"
- -e "s:plugins:plugins --user-data-dir=\${HOME}/.config/chromium${CHROMIUM_SUFFIX}:"
- )
- fi
- sed "${sedargs[@]}" "${FILESDIR}/chromium-launcher-r3.sh" > chromium-launcher.sh || die
- doexe chromium-launcher.sh
-
- # It is important that we name the target "chromium-browser",
- # xdg-utils expect it; bug #355517.
- dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium-browser${CHROMIUM_SUFFIX} || die
- # keep the old symlink around for consistency
- dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium${CHROMIUM_SUFFIX} || die
-
- dosym "${CHROMIUM_HOME}/chromedriver" /usr/bin/chromedriver${CHROMIUM_SUFFIX} || die
-
- # Allow users to override command-line options, bug #357629.
- dodir /etc/chromium || die
- insinto /etc/chromium
- newins "${FILESDIR}/chromium.default" "default" || die
-
- pushd out/Release/locales > /dev/null || die
- chromium_remove_language_paks
- popd
-
- insinto "${CHROMIUM_HOME}"
- doins out/Release/*.bin || die
- doins out/Release/*.pak || die
-
- if use gn; then
- doins out/Release/icudtl.dat || die
- fi
-
- doins -r out/Release/locales || die
- doins -r out/Release/resources || die
-
- newman out/Release/chrome.1 chromium${CHROMIUM_SUFFIX}.1 || die
- newman out/Release/chrome.1 chromium-browser${CHROMIUM_SUFFIX}.1 || die
-
- # Install icons and desktop entry.
- local branding size
- for size in 16 22 24 32 48 64 128 256 ; do
- case ${size} in
- 16|32) branding="chrome/app/theme/default_100_percent/chromium" ;;
- *) branding="chrome/app/theme/chromium" ;;
- esac
- newicon -s ${size} "${branding}/product_logo_${size}.png" \
- chromium-browser${CHROMIUM_SUFFIX}.png
- done
-
- local mime_types="text/html;text/xml;application/xhtml+xml;"
- mime_types+="x-scheme-handler/http;x-scheme-handler/https;" # bug #360797
- mime_types+="x-scheme-handler/ftp;" # bug #412185
- mime_types+="x-scheme-handler/mailto;x-scheme-handler/webcal;" # bug #416393
- make_desktop_entry \
- chromium-browser${CHROMIUM_SUFFIX} \
- "Chromium${CHROMIUM_SUFFIX}" \
- chromium-browser${CHROMIUM_SUFFIX} \
- "Network;WebBrowser" \
- "MimeType=${mime_types}\nStartupWMClass=chromium-browser"
- sed -e "/^Exec/s/$/ %U/" -i "${ED}"/usr/share/applications/*.desktop || die
-
- # Install GNOME default application entry (bug #303100).
- if use gnome; then
- dodir /usr/share/gnome-control-center/default-apps || die
- insinto /usr/share/gnome-control-center/default-apps
- newins "${FILESDIR}"/chromium-browser.xml chromium-browser${CHROMIUM_SUFFIX}.xml || die
- if [[ "${CHROMIUM_SUFFIX}" != "" ]]; then
- sed "s:chromium-browser:chromium-browser${CHROMIUM_SUFFIX}:g" -i \
- "${ED}"/usr/share/gnome-control-center/default-apps/chromium-browser${CHROMIUM_SUFFIX}.xml
- fi
- fi
-
- readme.gentoo_create_doc
-}
-
-pkg_postinst() {
- fdo-mime_desktop_database_update
- gnome2_icon_cache_update
- readme.gentoo_print_elog
-}
diff --git a/www-client/chromium/chromium-48.0.2564.41.ebuild b/www-client/chromium/chromium-48.0.2564.41.ebuild
deleted file mode 100644
index 7fead7372a9..00000000000
--- a/www-client/chromium/chromium-48.0.2564.41.ebuild
+++ /dev/null
@@ -1,691 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-PYTHON_COMPAT=( python2_7 )
-
-CHROMIUM_LANGS="am ar bg bn ca cs da de el en_GB es es_LA et fa fi fil fr gu he
- hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt_BR pt_PT ro ru sk sl sr
- sv sw ta te th tr uk vi zh_CN zh_TW"
-
-inherit check-reqs chromium eutils flag-o-matic multilib multiprocessing pax-utils \
- portability python-any-r1 readme.gentoo toolchain-funcs versionator virtualx
-
-DESCRIPTION="Open-source version of Google Chrome web browser"
-HOMEPAGE="http://chromium.org/"
-SRC_URI="https://commondatastorage.googleapis.com/chromium-browser-official/${P}.tar.xz"
-
-LICENSE="BSD hotwording? ( no-source-code )"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~x86"
-IUSE="cups gn gnome gnome-keyring gtk3 +hangouts hidpi hotwording kerberos neon pic +proprietary-codecs pulseaudio selinux +system-ffmpeg +tcmalloc widevine"
-RESTRICT="!system-ffmpeg? ( proprietary-codecs? ( bindist ) )"
-
-REQUIRED_USE="gn? ( kerberos !system-ffmpeg )"
-
-# Native Client binaries are compiled with different set of flags, bug #452066.
-QA_FLAGS_IGNORED=".*\.nexe"
-
-# Native Client binaries may be stripped by the build system, which uses the
-# right tools for it, bug #469144 .
-QA_PRESTRIPPED=".*\.nexe"
-
-RDEPEND="
- app-arch/bzip2:=
- cups? ( >=net-print/cups-1.3.11:= )
- >=dev-libs/elfutils-0.149
- dev-libs/expat:=
- dev-libs/glib:=
- >=dev-libs/jsoncpp-0.5.0-r1:=
- dev-libs/nspr:=
- >=dev-libs/nss-3.14.3:=
- gnome? ( >=gnome-base/gconf-2.24.0:= )
- gnome-keyring? ( >=gnome-base/libgnome-keyring-3.12:= )
- >=media-libs/alsa-lib-1.0.19:=
- media-libs/fontconfig:=
- media-libs/freetype:=
- media-libs/libexif:=
- media-libs/speex:=
- pulseaudio? ( media-sound/pulseaudio:= )
- system-ffmpeg? ( >=media-video/ffmpeg-2.7.2:= )
- sys-apps/dbus:=
- sys-apps/pciutils:=
- >=sys-libs/libcap-2.22:=
- virtual/udev
- x11-libs/cairo:=
- x11-libs/gdk-pixbuf:=
- gtk3? ( x11-libs/gtk+:3= )
- !gtk3? ( x11-libs/gtk+:2= )
- x11-libs/libdrm
- x11-libs/libX11:=
- x11-libs/libXcomposite:=
- x11-libs/libXcursor:=
- x11-libs/libXdamage:=
- x11-libs/libXext:=
- x11-libs/libXfixes:=
- >=x11-libs/libXi-1.6.0:=
- x11-libs/libXinerama:=
- x11-libs/libXrandr:=
- x11-libs/libXrender:=
- x11-libs/libXScrnSaver:=
- x11-libs/libXtst:=
- x11-libs/pango:=
- kerberos? ( virtual/krb5 )
- !gn? (
- >=app-accessibility/speech-dispatcher-0.8:=
- app-arch/snappy:=
- >=dev-libs/icu-55.1:=
- >=dev-libs/libevent-1.4.13:=
- dev-libs/libxml2:=[icu]
- dev-libs/libxslt:=
- dev-libs/re2:=
- media-libs/flac:=
- >=media-libs/harfbuzz-0.9.41:=[icu(+)]
- >=media-libs/libjpeg-turbo-1.2.0-r1:=
- media-libs/libpng:0=
- >=media-libs/libwebp-0.4.0:=
- sys-libs/zlib:=[minizip]
- )"
-DEPEND="${RDEPEND}
- !arm? (
- dev-lang/yasm
- )
- dev-lang/perl
- dev-perl/JSON
- >=dev-util/gperf-3.0.3
- dev-util/ninja
- sys-apps/hwids[usb(+)]
- >=sys-devel/bison-2.4.3
- sys-devel/flex
- virtual/pkgconfig"
-
-# For nvidia-drivers blocker, see bug #413637 .
-RDEPEND+="
- !=www-client/chromium-9999
- !<www-plugins/chrome-binary-plugins-37
- x11-misc/xdg-utils
- virtual/opengl
- virtual/ttf-fonts
- selinux? ( sec-policy/selinux-chromium )
- tcmalloc? ( !<x11-drivers/nvidia-drivers-331.20 )
- widevine? ( www-plugins/chrome-binary-plugins[widevine(-)] )"
-
-# Python dependencies. The DEPEND part needs to be kept in sync
-# with python_check_deps.
-DEPEND+=" $(python_gen_any_dep '
- dev-python/beautifulsoup:python-2[${PYTHON_USEDEP}]
- dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
- dev-python/html5lib[${PYTHON_USEDEP}]
- dev-python/jinja[${PYTHON_USEDEP}]
- dev-python/ply[${PYTHON_USEDEP}]
- dev-python/simplejson[${PYTHON_USEDEP}]
-')"
-python_check_deps() {
- has_version "dev-python/beautifulsoup:python-2[${PYTHON_USEDEP}]" && \
- has_version "dev-python/beautifulsoup:4[${PYTHON_USEDEP}]" && \
- has_version "dev-python/html5lib[${PYTHON_USEDEP}]" && \
- has_version "dev-python/jinja[${PYTHON_USEDEP}]" && \
- has_version "dev-python/ply[${PYTHON_USEDEP}]" && \
- has_version "dev-python/simplejson[${PYTHON_USEDEP}]"
-}
-
-if ! has chromium_pkg_die ${EBUILD_DEATH_HOOKS}; then
- EBUILD_DEATH_HOOKS+=" chromium_pkg_die";
-fi
-
-DISABLE_AUTOFORMATTING="yes"
-DOC_CONTENTS="
-Some web pages may require additional fonts to display properly.
-Try installing some of the following packages if some characters
-are not displayed properly:
-- media-fonts/arphicfonts
-- media-fonts/bitstream-cyberbit
-- media-fonts/droid
-- media-fonts/ipamonafont
-- media-fonts/ja-ipafonts
-- media-fonts/takao-fonts
-- media-fonts/wqy-microhei
-- media-fonts/wqy-zenhei
-
-Depending on your desktop environment, you may need
-to install additional packages to get icons on the Downloads page.
-
-For KDE, the required package is kde-frameworks/oxygen-icons.
-
-For other desktop environments, try one of the following:
-- x11-themes/gnome-icon-theme
-- x11-themes/tango-icon-theme
-"
-
-pkg_pretend() {
- if [[ $(tc-getCC)$ == *gcc* ]] && \
- [[ $(gcc-major-version)$(gcc-minor-version) -lt 48 ]]; then
- die 'At least gcc 4.8 is required, see bugs: #535730, #525374, #518668.'
- fi
-
- # Check build requirements, bug #541816 and bug #471810 .
- CHECKREQS_MEMORY="3G"
- CHECKREQS_DISK_BUILD="10G"
- eshopts_push -s extglob
- if is-flagq '-g?(gdb)?([1-9])'; then
- CHECKREQS_DISK_BUILD="30G"
- fi
- eshopts_pop
- check-reqs_pkg_pretend
-}
-
-pkg_setup() {
- if [[ "${SLOT}" == "0" ]]; then
- CHROMIUM_SUFFIX=""
- else
- CHROMIUM_SUFFIX="-${SLOT}"
- fi
- CHROMIUM_HOME="/usr/$(get_libdir)/chromium-browser${CHROMIUM_SUFFIX}"
-
- # Make sure the build system will use the right python, bug #344367.
- python-any-r1_pkg_setup
-
- chromium_suid_sandbox_check_kernel_config
-}
-
-src_prepare() {
- epatch "${FILESDIR}/${PN}-system-ffmpeg-r1.patch"
- epatch "${FILESDIR}/${PN}-system-jinja-r7.patch"
- epatch "${FILESDIR}/${PN}-widevine-r1.patch"
- epatch "${FILESDIR}/${PN}-last-commit-position-r0.patch"
- epatch "${FILESDIR}/${PN}-snapshot-toolchain-r0.patch"
- epatch "${FILESDIR}/${PN}-rpath-r0.patch"
- epatch "${FILESDIR}/${PN}-system-icu-r0.patch"
-
- epatch_user
-
- local conditional_bundled_libraries=""
- if ! use system-ffmpeg; then
- conditional_bundled_libraries+=" third_party/ffmpeg"
- fi
- if use gn; then
- conditional_bundled_libraries+="
- third_party/adobe
- third_party/ffmpeg
- third_party/flac
- third_party/harfbuzz-ng
- third_party/icu
- third_party/jinja2
- third_party/libevent
- third_party/libjpeg_turbo
- third_party/libpng
- third_party/libwebp
- third_party/libxml
- third_party/libxslt
- third_party/markupsafe
- third_party/re2
- third_party/snappy
- third_party/speech-dispatcher
- third_party/usb_ids
- third_party/xdg-utils
- third_party/yasm
- third_party/zlib
- "
- fi
-
- # Remove most bundled libraries. Some are still needed.
- build/linux/unbundle/remove_bundled_libraries.py \
- ${conditional_bundled_libraries} \
- 'base/third_party/dmg_fp' \
- 'base/third_party/dynamic_annotations' \
- 'base/third_party/icu' \
- 'base/third_party/nspr' \
- 'base/third_party/superfasthash' \
- 'base/third_party/symbolize' \
- 'base/third_party/valgrind' \
- 'base/third_party/xdg_mime' \
- 'base/third_party/xdg_user_dirs' \
- 'breakpad/src/third_party/curl' \
- 'chrome/third_party/mozilla_security_manager' \
- 'courgette/third_party' \
- 'crypto/third_party/nss' \
- 'net/third_party/mozilla_security_manager' \
- 'net/third_party/nss' \
- 'third_party/WebKit' \
- 'third_party/analytics' \
- 'third_party/angle' \
- 'third_party/angle/src/third_party/compiler' \
- 'third_party/boringssl' \
- 'third_party/brotli' \
- 'third_party/cacheinvalidation' \
- 'third_party/catapult' \
- 'third_party/catapult/third_party/py_vulcanize' \
- 'third_party/catapult/third_party/py_vulcanize/third_party/rcssmin' \
- 'third_party/catapult/third_party/py_vulcanize/third_party/rjsmin' \
- 'third_party/catapult/tracing/third_party/components/polymer' \
- 'third_party/catapult/tracing/third_party/d3' \
- 'third_party/catapult/tracing/third_party/gl-matrix' \
- 'third_party/catapult/tracing/third_party/jszip' \
- 'third_party/cld_2' \
- 'third_party/cros_system_api' \
- 'third_party/cython/python_flags.py' \
- 'third_party/devscripts' \
- 'third_party/dom_distiller_js' \
- 'third_party/dom_distiller_js/dist/proto_gen/third_party/dom_distiller_js' \
- 'third_party/fips181' \
- 'third_party/flot' \
- 'third_party/google_input_tools' \
- 'third_party/google_input_tools/third_party/closure_library' \
- 'third_party/google_input_tools/third_party/closure_library/third_party/closure' \
- 'third_party/hunspell' \
- 'third_party/iccjpeg' \
- 'third_party/jstemplate' \
- 'third_party/khronos' \
- 'third_party/leveldatabase' \
- 'third_party/libXNVCtrl' \
- 'third_party/libaddressinput' \
- 'third_party/libjingle' \
- 'third_party/libphonenumber' \
- 'third_party/libsecret' \
- 'third_party/libsrtp' \
- 'third_party/libudev' \
- 'third_party/libusb' \
- 'third_party/libvpx_new' \
- 'third_party/libvpx_new/source/libvpx/third_party/x86inc' \
- 'third_party/libxml/chromium' \
- 'third_party/libwebm' \
- 'third_party/libyuv' \
- 'third_party/lss' \
- 'third_party/lzma_sdk' \
- 'third_party/mesa' \
- 'third_party/modp_b64' \
- 'third_party/mojo' \
- 'third_party/mt19937ar' \
- 'third_party/npapi' \
- 'third_party/openmax_dl' \
- 'third_party/opus' \
- 'third_party/ots' \
- 'third_party/pdfium' \
- 'third_party/pdfium/third_party/agg23' \
- 'third_party/pdfium/third_party/base' \
- 'third_party/pdfium/third_party/bigint' \
- 'third_party/pdfium/third_party/freetype' \
- 'third_party/pdfium/third_party/lcms2-2.6' \
- 'third_party/pdfium/third_party/libjpeg' \
- 'third_party/pdfium/third_party/libopenjpeg20' \
- 'third_party/pdfium/third_party/zlib_v128' \
- 'third_party/polymer' \
- 'third_party/protobuf' \
- 'third_party/qcms' \
- 'third_party/sfntly' \
- 'third_party/skia' \
- 'third_party/smhasher' \
- 'third_party/sqlite' \
- 'third_party/tcmalloc' \
- 'third_party/usrsctp' \
- 'third_party/web-animations-js' \
- 'third_party/webdriver' \
- 'third_party/webrtc' \
- 'third_party/widevine' \
- 'third_party/x86inc' \
- 'third_party/zlib/google' \
- 'url/third_party/mozilla' \
- 'v8/src/third_party/fdlibm' \
- 'v8/src/third_party/valgrind' \
- --do-remove || die
-}
-
-src_configure() {
- local myconf_gyp=""
- local myconf_gn=""
-
- # GN needs explicit config for Debug/Release as opposed to inferring it from build directory.
- myconf_gn+=" is_debug=false"
-
- # Never tell the build system to "enable" SSE2, it has a few unexpected
- # additions, bug #336871.
- myconf_gyp+=" -Ddisable_sse2=1"
-
- # Disable nacl, we can't build without pnacl (http://crbug.com/269560).
- myconf_gyp+=" -Ddisable_nacl=1"
- myconf_gn+=" enable_nacl=false"
-
- # Make it possible to remove third_party/adobe.
- echo > "${T}/flapper_version.h" || die
- myconf_gyp+=" -Dflapper_version_h_file=${T}/flapper_version.h"
-
- # Use system-provided libraries.
- # TODO: use_system_hunspell (upstream changes needed).
- # TODO: use_system_libsrtp (bug #459932).
- # TODO: use_system_libusb (http://crbug.com/266149).
- # TODO: use_system_libvpx (http://crbug.com/494939).
- # TODO: use_system_opus (https://code.google.com/p/webrtc/issues/detail?id=3077).
- # TODO: use_system_protobuf (bug #525560).
- # TODO: use_system_ssl (http://crbug.com/58087).
- # TODO: use_system_sqlite (http://crbug.com/22208).
- myconf_gyp+="
- -Duse_system_bzip2=1
- -Duse_system_ffmpeg=$(usex system-ffmpeg 1 0)
- -Duse_system_flac=1
- -Duse_system_harfbuzz=1
- -Duse_system_icu=1
- -Duse_system_jsoncpp=1
- -Duse_system_libevent=1
- -Duse_system_libjpeg=1
- -Duse_system_libpng=1
- -Duse_system_libwebp=1
- -Duse_system_libxml=1
- -Duse_system_libxslt=1
- -Duse_system_minizip=1
- -Duse_system_nspr=1
- -Duse_system_re2=1
- -Duse_system_snappy=1
- -Duse_system_speex=1
- -Duse_system_xdg_utils=1
- -Duse_system_zlib=1"
-
- # Needed for system icu - we don't need additional data files.
- myconf_gyp+=" -Dicu_use_data_file_flag=0"
-
- # TODO: patch gyp so that this arm conditional is not needed.
- if ! use arm; then
- myconf_gyp+="
- -Duse_system_yasm=1"
- fi
-
- # Optional dependencies.
- # TODO: linux_link_kerberos, bug #381289.
- myconf_gyp+="
- $(gyp_use cups)
- $(gyp_use gnome use_gconf)
- $(gyp_use gnome-keyring use_gnome_keyring)
- $(gyp_use gnome-keyring linux_link_gnome_keyring)
- $(gyp_use gtk3)
- $(gyp_use hangouts enable_hangout_services_extension)
- $(gyp_use hidpi enable_hidpi)
- $(gyp_use hotwording enable_hotwording)
- $(gyp_use kerberos)
- $(gyp_use pulseaudio)
- $(gyp_use tcmalloc use_allocator tcmalloc none)
- $(gyp_use widevine enable_widevine)"
-
- myconf_gn+=" use_cups=$(usex cups true false)"
-
- # Use explicit library dependencies instead of dlopen.
- # This makes breakages easier to detect by revdep-rebuild.
- myconf_gyp+="
- -Dlinux_link_gsettings=1
- -Dlinux_link_libpci=1
- -Dlinux_link_libspeechd=1
- -Dlibspeechd_h_prefix=speech-dispatcher/"
-
- # TODO: use the file at run time instead of effectively compiling it in.
- myconf_gyp+="
- -Dusb_ids_path=/usr/share/misc/usb.ids"
-
- # Save space by removing DLOG and DCHECK messages (about 6% reduction).
- myconf_gyp+="
- -Dlogging_like_official_build=1"
-
- if [[ $(tc-getCC) == *clang* ]]; then
- myconf_gyp+=" -Dclang=1"
- myconf_gn+=" is_clang=true"
- else
- myconf_gyp+=" -Dclang=0"
- myconf_gn+=" is_clang=false"
- fi
-
- # Never use bundled gold binary. Disable gold linker flags for now.
- # Do not use bundled clang.
- myconf_gyp+="
- -Dclang_use_chrome_plugins=0
- -Dhost_clang=0
- -Dlinux_use_bundled_binutils=0
- -Dlinux_use_bundled_gold=0
- -Dlinux_use_gold_flags=0"
-
- ffmpeg_branding="$(usex proprietary-codecs Chrome Chromium)"
- myconf_gyp+=" -Dproprietary_codecs=1 -Dffmpeg_branding=${ffmpeg_branding}"
-
- # Set up Google API keys, see http://www.chromium.org/developers/how-tos/api-keys .
- # Note: these are for Gentoo use ONLY. For your own distribution,
- # please get your own set of keys. Feel free to contact chromium@gentoo.org
- # for more info.
- myconf_gyp+=" -Dgoogle_api_key=AIzaSyDEAOvatFo0eTgsV_ZlEzx0ObmepsMzfAc
- -Dgoogle_default_client_id=329227923882.apps.googleusercontent.com
- -Dgoogle_default_client_secret=vgKG0NNv7GoDpbtoFNLxCUXu"
-
- local myarch="$(tc-arch)"
- if [[ $myarch = amd64 ]] ; then
- target_arch=x64
- ffmpeg_target_arch=x64
- elif [[ $myarch = x86 ]] ; then
- target_arch=ia32
- ffmpeg_target_arch=ia32
- elif [[ $myarch = arm ]] ; then
- target_arch=arm
- ffmpeg_target_arch=$(usex neon arm-neon arm)
- # TODO: re-enable NaCl (NativeClient).
- local CTARGET=${CTARGET:-${CHOST}}
- if [[ $(tc-is-softfloat) == "no" ]]; then
-
- myconf_gyp+=" -Darm_float_abi=hard"
- fi
- filter-flags "-mfpu=*"
- use neon || myconf_gyp+=" -Darm_fpu=${ARM_FPU:-vfpv3-d16}"
-
- if [[ ${CTARGET} == armv[78]* ]]; then
- myconf_gyp+=" -Darmv7=1"
- else
- myconf_gyp+=" -Darmv7=0"
- fi
- myconf_gyp+=" -Dsysroot=
- $(gyp_use neon arm_neon)
- -Ddisable_nacl=1"
- else
- die "Failed to determine target arch, got '$myarch'."
- fi
-
- myconf_gyp+=" -Dtarget_arch=${target_arch}"
-
- # Make sure that -Werror doesn't get added to CFLAGS by the build system.
- # Depending on GCC version the warnings are different and we don't want
- # the build to fail because of that.
- myconf_gyp+=" -Dwerror="
- myconf_gn+=" treat_warnings_as_errors=false"
-
- # Disable fatal linker warnings, bug 506268.
- myconf_gyp+=" -Ddisable_fatal_linker_warnings=1"
-
- # Avoid CFLAGS problems, bug #352457, bug #390147.
- if ! use custom-cflags; then
- replace-flags "-Os" "-O2"
- strip-flags
-
- # Prevent linker from running out of address space, bug #471810 .
- if use x86; then
- filter-flags "-g*"
- fi
-
- # Prevent libvpx build failures. Bug 530248, 544702, 546984.
- if [[ ${myarch} == amd64 || ${myarch} == x86 ]]; then
- filter-flags -mno-mmx -mno-sse2 -mno-ssse3 -mno-sse4.1 -mno-avx -mno-avx2
- fi
- fi
-
- # Make sure the build system will use the right tools, bug #340795.
- tc-export AR CC CXX NM
-
- # Tools for building programs to be executed on the build system, bug #410883.
- if tc-is-cross-compiler; then
- export AR_host=$(tc-getBUILD_AR)
- export CC_host=$(tc-getBUILD_CC)
- export CXX_host=$(tc-getBUILD_CXX)
- export NM_host=$(tc-getBUILD_NM)
- fi
-
- # Bug 491582.
- export TMPDIR="${WORKDIR}/temp"
- mkdir -p -m 755 "${TMPDIR}" || die
-
- # TODO: also do this for GN bundled ffmpeg build.
- if ! use system-ffmpeg && ! use gn; then
- local build_ffmpeg_args=""
- if use pic && [[ "${ffmpeg_target_arch}" == "ia32" ]]; then
- build_ffmpeg_args+=" --disable-asm"
- fi
-
- # Re-configure bundled ffmpeg. See bug #491378 for example reasons.
- einfo "Configuring bundled ffmpeg..."
- pushd third_party/ffmpeg > /dev/null || die
- chromium/scripts/build_ffmpeg.py linux ${ffmpeg_target_arch} \
- --branding ${ffmpeg_branding} -- ${build_ffmpeg_args} || die
- chromium/scripts/copy_config.sh || die
- chromium/scripts/generate_gyp.py || die
- popd > /dev/null || die
- fi
-
- third_party/libaddressinput/chromium/tools/update-strings.py || die
-
- touch chrome/test/data/webui/i18n_process_css_test.html || die
-
- einfo "Configuring Chromium..."
- if use gn; then
- tools/gn/bootstrap/bootstrap.py -v --gn-gen-args "${myconf_gn}" || die
- out/Release/gn gen --args="${myconf_gn}" out/Release || die
- else
- build/linux/unbundle/replace_gyp_files.py ${myconf_gyp} || die
- egyp_chromium ${myconf_gyp} || die
- fi
-}
-
-eninja() {
- if [[ -z ${NINJAOPTS+set} ]]; then
- local jobs=$(makeopts_jobs)
- local loadavg=$(makeopts_loadavg)
-
- if [[ ${MAKEOPTS} == *-j* && ${jobs} != 999 ]]; then
- NINJAOPTS+=" -j ${jobs}"
- fi
- if [[ ${MAKEOPTS} == *-l* && ${loadavg} != 999 ]]; then
- NINJAOPTS+=" -l ${loadavg}"
- fi
- fi
- set -- ninja -v ${NINJAOPTS} "$@"
- echo "$@"
- "$@"
-}
-
-src_compile() {
- local ninja_targets="chrome chrome_sandbox chromedriver"
-
- if ! use gn; then
- # Build mksnapshot and pax-mark it.
- eninja -C out/Release mksnapshot || die
- pax-mark m out/Release/mksnapshot
- fi
-
- # Even though ninja autodetects number of CPUs, we respect
- # user's options, for debugging with -j 1 or any other reason.
- eninja -C out/Release ${ninja_targets} || die
-
- pax-mark m out/Release/chrome
-}
-
-src_install() {
- exeinto "${CHROMIUM_HOME}"
- doexe out/Release/chrome || die
-
- newexe out/Release/chrome_sandbox chrome-sandbox || die
- fperms 4755 "${CHROMIUM_HOME}/chrome-sandbox"
-
- doexe out/Release/chromedriver || die
- use widevine && doexe out/Release/libwidevinecdmadapter.so
-
- # if ! use arm; then
- # doexe out/Release/nacl_helper{,_bootstrap} || die
- # insinto "${CHROMIUM_HOME}"
- # doins out/Release/nacl_irt_*.nexe || die
- # doins out/Release/libppGoogleNaClPluginChrome.so || die
- # fi
-
- local sedargs=( -e "s:/usr/lib/:/usr/$(get_libdir)/:g" )
- if [[ -n ${CHROMIUM_SUFFIX} ]]; then
- sedargs+=(
- -e "s:chromium-browser:chromium-browser${CHROMIUM_SUFFIX}:g"
- -e "s:chromium.desktop:chromium${CHROMIUM_SUFFIX}.desktop:g"
- -e "s:plugins:plugins --user-data-dir=\${HOME}/.config/chromium${CHROMIUM_SUFFIX}:"
- )
- fi
- sed "${sedargs[@]}" "${FILESDIR}/chromium-launcher-r3.sh" > chromium-launcher.sh || die
- doexe chromium-launcher.sh
-
- # It is important that we name the target "chromium-browser",
- # xdg-utils expect it; bug #355517.
- dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium-browser${CHROMIUM_SUFFIX} || die
- # keep the old symlink around for consistency
- dosym "${CHROMIUM_HOME}/chromium-launcher.sh" /usr/bin/chromium${CHROMIUM_SUFFIX} || die
-
- dosym "${CHROMIUM_HOME}/chromedriver" /usr/bin/chromedriver${CHROMIUM_SUFFIX} || die
-
- # Allow users to override command-line options, bug #357629.
- dodir /etc/chromium || die
- insinto /etc/chromium
- newins "${FILESDIR}/chromium.default" "default" || die
-
- pushd out/Release/locales > /dev/null || die
- chromium_remove_language_paks
- popd
-
- insinto "${CHROMIUM_HOME}"
- doins out/Release/*.bin || die
- doins out/Release/*.pak || die
-
- if use gn; then
- doins out/Release/icudtl.dat || die
- fi
-
- doins -r out/Release/locales || die
- doins -r out/Release/resources || die
-
- newman out/Release/chrome.1 chromium${CHROMIUM_SUFFIX}.1 || die
- newman out/Release/chrome.1 chromium-browser${CHROMIUM_SUFFIX}.1 || die
-
- # Install icons and desktop entry.
- local branding size
- for size in 16 22 24 32 48 64 128 256 ; do
- case ${size} in
- 16|32) branding="chrome/app/theme/default_100_percent/chromium" ;;
- *) branding="chrome/app/theme/chromium" ;;
- esac
- newicon -s ${size} "${branding}/product_logo_${size}.png" \
- chromium-browser${CHROMIUM_SUFFIX}.png
- done
-
- local mime_types="text/html;text/xml;application/xhtml+xml;"
- mime_types+="x-scheme-handler/http;x-scheme-handler/https;" # bug #360797
- mime_types+="x-scheme-handler/ftp;" # bug #412185
- mime_types+="x-scheme-handler/mailto;x-scheme-handler/webcal;" # bug #416393
- make_desktop_entry \
- chromium-browser${CHROMIUM_SUFFIX} \
- "Chromium${CHROMIUM_SUFFIX}" \
- chromium-browser${CHROMIUM_SUFFIX} \
- "Network;WebBrowser" \
- "MimeType=${mime_types}\nStartupWMClass=chromium-browser"
- sed -e "/^Exec/s/$/ %U/" -i "${ED}"/usr/share/applications/*.desktop || die
-
- # Install GNOME default application entry (bug #303100).
- if use gnome; then
- dodir /usr/share/gnome-control-center/default-apps || die
- insinto /usr/share/gnome-control-center/default-apps
- newins "${FILESDIR}"/chromium-browser.xml chromium-browser${CHROMIUM_SUFFIX}.xml || die
- if [[ "${CHROMIUM_SUFFIX}" != "" ]]; then
- sed "s:chromium-browser:chromium-browser${CHROMIUM_SUFFIX}:g" -i \
- "${ED}"/usr/share/gnome-control-center/default-apps/chromium-browser${CHROMIUM_SUFFIX}.xml
- fi
- fi
-
- readme.gentoo_create_doc
-}
-
-pkg_postinst() {
- fdo-mime_desktop_database_update
- gnome2_icon_cache_update
- readme.gentoo_print_elog
-}